<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ONUM
 */

get_header(); 
            $author_id = get_post_field ('post_author', get_the_ID());
            $author_name = get_the_author_meta( 'display_name', $author_id );
            $author_facebook = get_the_author_meta( 'facebook', $author_id );
            $author_url = get_the_author_meta( 'url', $author_id );
            $author_instagram = get_the_author_meta( 'instagram', $author_id );
            $author_name = get_the_author_meta( 'display_name', $author_id );
            
            $author_forte = get_the_author_meta( 'forte', $author_id );
            $author_wannabe = get_the_author_meta( 'wannabe', $author_id );
            $author_blunder = get_the_author_meta( 'biggest_blunder_committed', $author_id );
            
            $args = array(
                'author'        =>  $author_id,
                'post_type'     => 'post',
                'posts_per_page' => -1
            );
            $current_user_posts = get_posts( $args );
            $likes = '';
            foreach($current_user_posts as $current_user){
                $likesmeta = get_post_field ('_post_like_count', $current_user->ID);
                $likes += $likesmeta;
            }

            $contnt = get_the_content(get_the_ID());
            $count = get_post_meta( get_the_ID(), 'post_views_count', true );
?>

<div class="entry-content">
	<div class="container">
	<div class="author-wrap">
        <div class="author-image">
            <img src="<?php echo esc_url( get_avatar_url( $author_id ) ); ?>" alt="author image">
        </div>
        <div class="author-detail">
           <div class="author-top">
               <div class="written-by">WRITTEN BY:</div>
                <div class="name">
                    <h3><?php echo $author_name ?> </h3> <span class="dot"></span> <span class="post-count"><?php echo count($current_user_posts); ?> Articles</span>
                </div>            
           </div>   
           <div class="author-addrs">
               <ul>
                   <li><a href=" <?php echo $author_url; ?> "><i class="fas fa-globe-asia"></i></a></li>
               </ul>
           </div>
           <div class="author-des">
               <p><?php echo substr($contnt,0,200); ?>...</p>
               <a href="/blogs/?author=<?php echo $author_id; ?>"><u>View All articles by <?php echo $author_name ?> </u></a>
           </div>
           <div class="author-advcd-del">
                <ul>
                    <li>
                       <div class="title"><i class="fas fa-user-plus"></i> Forte:</div>
                       <p> <?php echo $author_forte; ?> </p>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-thumbs-up"></i> Likes:</div>
                       <p><?php echo $likes; ?></p>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-user"></i> Wannabe:</div>
                       <p> <?php echo $author_wannabe ?> </p>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-share-alt"></i> Social:</div>
                       <div class="social">
                           <a href="<?php echo $author_facebook; ?>" target="_blank"><i class="fab fa-facebook-f"></i></a>
                           <a href="<?php echo $author_instagram; ?>" target="_blank"><i class="fab fa-instagram"></i></a>
                           <a href="#"><i class="fab fa-twitter"></i></a>
                       </div>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-exclamation-triangle"></i> Biggest Blunder Committed:</div>
                       <p> <?php echo $author_blunder; ?> </p>
                    </li>
                </ul>
           </div>            
        </div>
    </div>


		<!-- <div class="author-panel">
			<div class="author-panel-ele">
				<?php if(is_author()){ 
					 $all_meta_for_user = get_user_meta(get_the_author_ID());
					 $userimg = $all_meta_for_user['sabox-profile-image'][0];
					
					?>
				<div class="author-image">
				    <img src="<?php echo $userimg; ?>" alt="blog-image">
				</div>  
				<div class="about-author">
					<h3>Insights authored by <?php echo $display_name = get_the_author_meta( 'display_name',  get_the_author_ID() ); ?></h3>
					<p><?php echo $user_description = get_the_author_meta( 'user_description', get_the_author_ID() );?></p>
				</div>
					<div class="author-socials">
						<a href="<?php echo $all_meta_for_user['facebook'][0]; ?>" target="_blank"><i class="fab fa-facebook-f"></i></a>
                        <a href="<?php echo $all_meta_for_user['linkedin'][0]; ?>" target="_blank"><i class="fab fa-linkedin-in"></i></a>
						<a href="<?php echo $all_meta_for_user['instagram'][0]; ?>" target="_blank"><i class="fab fa-instagram"></i></a>
					</div>
				<?php } ?>
			</div>
		</div> -->
		<div class="row">		    
			<div id="primary" class="content-area <?php onum_content_columns(); ?>">
				<main id="main" class="site-main customBlogPage">

				<?php if ( have_posts() ) : ?>
					<div class="<?php onum_blog_option_class(); ?>">
						<?php
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Type-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_type() );

						endwhile; 
						?>
					</div>
					<?php 
						onum_posts_navigation();

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>

				</main><!-- #main -->
			</div><!-- #primary -->
			<?php get_sidebar(); ?>
		</div>
	</div>	
</div>

<?php
get_footer();

