<?php

// Show All Error
// ini_set('display_errors', 1);
// ini_set('display_startup_errors', 1);
// error_reporting(E_ALL);

// function checkShort($shortcode){
	// return has_shortcode( $post->post_content, $shortcode);
// }

// Load Library Function...
function load_library() {
	
		// Includes Style Librarys...
		wp_register_style('Bootstrap', get_stylesheet_directory_uri() . '/assets/bootstrap/css/bootstrap.min.css', array(), false, 'all');
		wp_enqueue_style('Bootstrap');
		
        wp_register_style('child-style-css', get_stylesheet_directory_uri() . '/style.css', array(), rand(), 'all');
		wp_enqueue_style('child-style-css');
    
        wp_register_style('custom', get_stylesheet_directory_uri() . '/assets/css/custom.css', array(), rand(), 'all');
		wp_enqueue_style('custom');	
		
		wp_register_style('custom-v1', get_stylesheet_directory_uri() . '/assets/css/custom-v1.css', array(), rand(), 'all');
		wp_enqueue_style('custom-v1');	
		
		wp_register_style('owlCarousel', get_stylesheet_directory_uri() . '/assets/owl-carousel/css/owl.carousel.min.css', array(), false, 'all');
		wp_enqueue_style('owlCarousel');
		
		wp_register_style('owlCarousel-default', get_stylesheet_directory_uri() . '/assets/owl-carousel/css/owl.theme.default.min.css', array(), false, 'all');
		wp_enqueue_style('owlCarousel-default');
		
		wp_register_style('magnific-popup', get_stylesheet_directory_uri() . '/assets/magnific-popup/magnific-popup.css', array(), false, 'all');
		wp_enqueue_style('magnific-popup');	
		
		// Includes Script Librarys...
		wp_register_script('Bootstrap-Popper', get_stylesheet_directory_uri() . '/assets/bootstrap/js/popper.min.js', array(), 1, true);
		wp_enqueue_script('Bootstrap-Popper');
		
		wp_register_script('Bootstrap', get_stylesheet_directory_uri() . '/assets/bootstrap/js/bootstrap.min.js', array(), 1, true);
		wp_enqueue_script('Bootstrap');

		wp_register_script('owlCarousel', get_stylesheet_directory_uri() . '/assets/owl-carousel/js/owl.carousel.min.js', array(), 1, true);
		wp_enqueue_script('owlCarousel');
		
		wp_register_script('magnific-popup', get_stylesheet_directory_uri() . '/assets/magnific-popup/jquery.magnific-popup.min.js', array(), 1, true);
		wp_enqueue_script('magnific-popup'); 
		
        wp_register_script('typed-jquery', get_stylesheet_directory_uri() . '/assets/js/typed.js', array(), 1, true);
		wp_enqueue_script('typed-jquery');
    
        wp_register_script('custom-jquery', get_stylesheet_directory_uri() . '/assets/js/custom.js', array('jquery'), rand());
		wp_enqueue_script('custom-jquery');

		$posts = get_posts('post_type=post&orderby=rand&numberposts=1');
           foreach($posts as $post) {
                   $link = get_permalink($post);
           }
		wp_localize_script( 'custom-jquery', 'frontend_ajax_object', array( 
            'ajaxurl' => $link
        )
    );
		wp_register_script('validation-jquery', 'https://ajax.aspnetcdn.com/ajax/jquery.validate/1.9/jquery.validate.min.js', array(), '0.0.1');	
		wp_enqueue_script('validation-jquery');
		
}
// Includes Library Function...
add_action('wp_enqueue_scripts', 'load_library');
	
/* ================== Custom Post Type For Portfolios ================== */
function wgz_custom_portfolios() {
    $args = array(
        'labels' => array(
            'name' => __( 'Protfolios' ),
            'singular_name' => __( 'Portfolio' )
        ),
		'menu_icon'=>'dashicons-tag',
		'public' => true,
		'has_archive' => true,
		'supports' => array('title','editor','comments','thumbnail'),
		'taxonomies'  => array( 'portfolio_category' ),
		'rewrite' => array('slug' => 'wgz-portfolios'),
		'show_in_rest' => true, 
    );
    register_post_type( 'wgz-portfolios', $args );
}
add_action( 'init', 'wgz_custom_portfolios' ); 

function wgz_portfolio_init(){
	// Create A New Taxonomy For Portfolios
	register_taxonomy(
		'portfolio_category',
		'wgz-portfolios',
		array(
			'label' => __( 'Portfolio Category' ),
			'hierarchical' => true,
			'show_ui' => true,
			'show_in_rest' => true,
			'show_admin_column' => true,
			'query_var' => true,
			'rewrite' => array( 'slug' => 'portfolio_category' )
		)
	);
}
add_action( 'init', 'wgz_portfolio_init', 0 ); 

/* Shortcode - [portfolioSlider slug='cat-slug' limit='0'] */

// Create A Function For Portfolios Slider
function portfolio_Slider( $atts ) {
	$args = shortcode_atts( array(
		'slug' => '',
		'limit' => 5,
	), $atts );
	$html = '';
	$return = [];
	if(!empty($args['slug'])){
		$post_args = array(
		'post_type'=>'wgz-portfolios',
		'tax_query' => array(
            array(
                'taxonomy' => 'portfolio_category',
                'field' => 'slug',
                'terms' => $args['slug'],
            )
        ),
        'orderby' => 'date',
        'order' => 'DESC',
		'numberposts' => $args['limit']
		);
		$posts = get_posts($post_args);
		$html = '<div class="portfolio-slider-wrapper">';
		// $return[] = $post_args;
		if(count($posts)>0){
			$ct = 1;
			$html .= '<div class="item-wrap">
				<div class="left-part">
					<h3><span class="slideCurrentCount">'.$ct.'</span>/<span>'.count($posts).'</span></h3>
					<div class="arrow-box">
						<a href="#" class="customPrevBtn"><i class="fas fa-long-arrow-alt-left"></i></a>
						<a href="#" class="customNextBtn"><i class="fas fa-long-arrow-alt-right"></i></a>
					</div>
				</div>
				<div class="right-part">
				<div class="owl-carousel owl-theme portfolio-owl-carousel">';
				foreach($posts as $post){
					$post->image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
					$return[] = $post;				
					$html .= '
						<div class="item" data-count="'.$ct.'">
							<div class="slider-wrapper">
								<div class="content-part">
									<h3>'.$post->post_title.'</h3>
									<p>'.$post->post_content.'</p>
								</div>
								<div class="image-part">
									<img src="'.$post->image.'" />
								</div>
							</div>
						</div>';	
					$ct++;
				}
				$html .= '</div>
				</div>				
			</div>';
		}else{
			/* Will show Message if category is empty */
		}	
	}else{
		/* Will show Message if category is not defined */		
	}
	$html  .= '</div>';		
	// return json_encode($return);
	return $html;
}
add_shortcode( 'portfolioSlider', 'portfolio_Slider' ); 

/* ================== Custom Post Type For Testimonial ================== */
function wgz_custom_testimonials() {
    $args = array(
        'labels' => array(
            'name' => __('Testimonials'),
            'singular_name' => __('Testimonial')
        ),
		'menu_icon'=>'dashicons-tag',
		'public' => true,
		'has_archive' => true,
		'supports' => array('title','editor','comments','thumbnail'),
		'rewrite' => array('slug' => 'wgz-testimonials'),
		'show_in_rest' => true, 
    );
    register_post_type( 'wgz-testimonials', $args );
}
add_action( 'init', 'wgz_custom_testimonials'); 

/* Shortcode - [testimonialSlider slug='testimonial-slug' limit='0'] */

// Create A Function For Testimonial Slider
function testimonial_Slider( $atts ) {
	$args = shortcode_atts( array(
		'slug' => '',
		'limit' => 5,
	), $atts );
	$html = '';
	$return = [];
	if(!empty($args['slug'])){
		$post_args = array(
		'post_type'=>'wgz-testimonials',
        'orderby' => 'date',
        'order' => 'DESC',
		'numberposts' => $args['limit']
		);
		$posts = get_posts($post_args);
		$html = '<div class="testimonial-slider-wrapper" style="background-image:url('.get_stylesheet_directory_uri().'/assets/images/testimonials-bg.jpg)">';
		// $return[] = $post_args;
		if(count($posts)>0){
			$ct = 1;
			$html .= '<div class="item-wrap">
				<svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="quote-right" class="svg-inline--fa fa-quote-right fa-w-16 quotation-icon" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path fill="currentColor" d="M464 32H336c-26.5 0-48 21.5-48 48v128c0 26.5 21.5 48 48 48h80v64c0 35.3-28.7 64-64 64h-8c-13.3 0-24 10.7-24 24v48c0 13.3 10.7 24 24 24h8c88.4 0 160-71.6 160-160V80c0-26.5-21.5-48-48-48zm-288 0H48C21.5 32 0 53.5 0 80v128c0 26.5 21.5 48 48 48h80v64c0 35.3-28.7 64-64 64h-8c-13.3 0-24 10.7-24 24v48c0 13.3 10.7 24 24 24h8c88.4 0 160-71.6 160-160V80c0-26.5-21.5-48-48-48z"></path></svg>
				<div class="owl-carousel owl-theme testimonial-owl-carousel">';
				foreach($posts as $post){
					$post->image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
					$return[] = $post;		 		
					$html .= '
						<div class="item">
							<div class="slider-wrapper">
								<div class="image-part">
									<img src="'.$post->image.'" />
								</div>
								<div class="content-box">
									<p>'.$post->post_content.'</p>
									<h3>'.$post->post_title.'</h3>									
								</div>								
							</div>
						</div>';	
					$ct++;
				}
				$html .= '</div>		
			</div>';
		}else{
			/* Will show Message if post is empty */
		}	
	}else{
		/* Will show Message if post is not defined */		
	}
	$html  .= '</div>';		
	// return json_encode($return);
	return $html;
}
add_shortcode( 'testimonialSlider', 'testimonial_Slider' ); 

/* ================== Custom Post Type For Testimonial V2 ================== */
function wgz_custom_testimonialsv2() {
    $args = array(
        'labels' => array(
            'name' => __('Testimonials-v2'),
             'singular_name' => __('Testimonialv2')
        ),
		'menu_icon'=>'dashicons-tag',
		'public' => true,
		'has_archive' => true,
		'supports' => array('title','editor','comments','thumbnail'),
		'rewrite' => array('slug' => 'wgz-testimonialsv2'),
		'show_in_rest' => true, 
    );
    register_post_type( 'wgz-testimonialsv2', $args );
}
add_action( 'init', 'wgz_custom_testimonialsv2'); 

/* Shortcode - [testimonialv2Slider slug='testimonialv2-slug' limit='0'] */

// Create A Function For Testimonial V2 Slider In Services page
function testimonialv2_Slider( $atts ) {
	$args = shortcode_atts( array(
		'slug' => '',
		'limit' => 5,
	), $atts );
	$html = '';
	$return = [];
	if(!empty($args['slug'])){
		$post_args = array(
		'post_type'=>'wgz-testimonialsv2',
        'orderby' => 'date',
        'order' => 'DESC',
		'numberposts' => $args['limit']
		);
		$posts = get_posts($post_args);
		// print_r($posts);
		$html = '<div class="testimonial-v2-slider-wrapper">';
		// $return[] = $post_args;
		if(count($posts)>0){
			$html .= '<div class="slider-flex">
				<div class="arrow-part" style="background-image:url('.get_stylesheet_directory_uri().'/assets/images/testimonial-boy-left.jpg)">
					<a href="#" class="testimonialv2PrevBtn"><i class="fas fa-arrow-left"></i></i></a>
				</div>
				<div class="slider-body">
					<div class="img-box">
						<img src="'.get_stylesheet_directory_uri().'/assets/images/testimonial-inner.jpg" />
					</div>
					<div class="content-box">
						<svg enable-background="new 0 0 512 512" version="1.1" class="quote-icon-top" viewBox="0 0 512 512" xml:space="preserve" xmlns="http://www.w3.org/2000/svg">
							<path d="m228 119c5.523 0 10-4.478 10-10v-32c0-27.57-22.43-50-50-50h-138c-27.57 0-50 22.43-50 50v119.99c0 27.57 22.43 50 50 50h64.692c-2.276 74.706-30.621 113.54-86.459 118.62-5.151 0.469-9.094 4.787-9.094 9.959v99.431c0 2.75 1.132 5.378 3.13 7.267 1.862 1.759 4.321 2.733 6.869 2.733 0.187 0 0.375-5e-3 0.562-0.016 68.908-3.876 121.51-27.591 156.35-70.487 34.472-42.446 51.951-104.47 51.951-184.34v-35.819c0-5.522-4.477-10-10-10s-10 4.478-10 10v35.819c0 146.64-58.535 223.33-178.86 234.1v-79.836c30.411-4.73 53.934-18.886 70.007-42.161 17.049-24.691 25.694-60.106 25.694-105.26 0-5.522-4.477-10-10-10h-74.841c-16.542 0-30-13.458-30-30v-119.99c0-16.542 13.458-30 30-30h138c16.542 0 30 13.458 30 30v32c0 5.522 4.477 10 10 10z"/>
							<path d="m462 27h-138c-27.57 0-50 22.43-50 50v119.99c0 27.57 22.43 50 50 50h64.692c-2.276 74.706-30.621 113.54-86.459 118.62-5.15 0.469-9.094 4.787-9.094 9.959v99.431c0 2.75 1.132 5.378 3.13 7.267 1.862 1.76 4.321 2.733 6.869 2.733 0.187 0 0.375-5e-3 0.562-0.016 68.908-3.876 121.51-27.591 156.35-70.487 34.472-42.445 51.951-104.47 51.951-184.34v-153.15c0-27.57-22.43-50-50-50zm30 203.15c0 146.64-58.535 223.33-178.86 234.1v-79.836c30.412-4.73 53.935-18.886 70.007-42.161 17.049-24.69 25.694-60.105 25.694-105.26 0-5.522-4.477-10-10-10h-74.84c-16.542 0-30-13.458-30-30v-119.99c0-16.542 13.458-30 30-30h120v74.034c0 5.522 4.477 10 10 10s10-4.478 10-10v-73.96c15.612 1.034 28 14.057 28 29.926v153.15z"/>
							<path d="m454 145.75c-5.523 0-10 4.527-10 10.049s4.477 10 10 10c5.522 0 10-4.478 10-10v-0.099c0-5.522-4.477-9.95-10-9.95z"/>
							<path d="m228 141.67c-5.523 0-10 4.478-10 10v0.209c0 5.522 4.477 10 10 10s10-4.478 10-10v-0.209c0-5.522-4.477-10-10-10z"/>
						</svg>
						<svg enable-background="new 0 0 512 512" version="1.1" class="quote-icon-bottom" viewBox="0 0 512 512" xml:space="preserve" xmlns="http://www.w3.org/2000/svg">
							<path d="m228 119c5.523 0 10-4.478 10-10v-32c0-27.57-22.43-50-50-50h-138c-27.57 0-50 22.43-50 50v119.99c0 27.57 22.43 50 50 50h64.692c-2.276 74.706-30.621 113.54-86.459 118.62-5.151 0.469-9.094 4.787-9.094 9.959v99.431c0 2.75 1.132 5.378 3.13 7.267 1.862 1.759 4.321 2.733 6.869 2.733 0.187 0 0.375-5e-3 0.562-0.016 68.908-3.876 121.51-27.591 156.35-70.487 34.472-42.446 51.951-104.47 51.951-184.34v-35.819c0-5.522-4.477-10-10-10s-10 4.478-10 10v35.819c0 146.64-58.535 223.33-178.86 234.1v-79.836c30.411-4.73 53.934-18.886 70.007-42.161 17.049-24.691 25.694-60.106 25.694-105.26 0-5.522-4.477-10-10-10h-74.841c-16.542 0-30-13.458-30-30v-119.99c0-16.542 13.458-30 30-30h138c16.542 0 30 13.458 30 30v32c0 5.522 4.477 10 10 10z"/>
							<path d="m462 27h-138c-27.57 0-50 22.43-50 50v119.99c0 27.57 22.43 50 50 50h64.692c-2.276 74.706-30.621 113.54-86.459 118.62-5.15 0.469-9.094 4.787-9.094 9.959v99.431c0 2.75 1.132 5.378 3.13 7.267 1.862 1.76 4.321 2.733 6.869 2.733 0.187 0 0.375-5e-3 0.562-0.016 68.908-3.876 121.51-27.591 156.35-70.487 34.472-42.445 51.951-104.47 51.951-184.34v-153.15c0-27.57-22.43-50-50-50zm30 203.15c0 146.64-58.535 223.33-178.86 234.1v-79.836c30.412-4.73 53.935-18.886 70.007-42.161 17.049-24.69 25.694-60.105 25.694-105.26 0-5.522-4.477-10-10-10h-74.84c-16.542 0-30-13.458-30-30v-119.99c0-16.542 13.458-30 30-30h120v74.034c0 5.522 4.477 10 10 10s10-4.478 10-10v-73.96c15.612 1.034 28 14.057 28 29.926v153.15z"/>
							<path d="m454 145.75c-5.523 0-10 4.527-10 10.049s4.477 10 10 10c5.522 0 10-4.478 10-10v-0.099c0-5.522-4.477-9.95-10-9.95z"/>
							<path d="m228 141.67c-5.523 0-10 4.478-10 10v0.209c0 5.522 4.477 10 10 10s10-4.478 10-10v-0.209c0-5.522-4.477-10-10-10z"/>
						</svg>
						<div class="owl-carousel owl-theme testimonial-v2-owl-carousel">';
							foreach($posts as $post){
								$post->image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
								$return[] = $post;		 		
								$html .= '
									<div class="item">
										<div class="carousel-content">
											<h3>'.$post->post_title.'</h3>	
											<p>'.$post->post_content.'</p>
											<div class="user-box">
												<h4>Stell.J</h4>
												<p>Free Work</p>
											</div>	
										</div>
									</div>';	
							}
			$html .= '</div>
			<div class="inner-arrow">
				<a href="#" class="testimonialv2PrevBtn"><i class="fas fa-arrow-left"></i></i></a>
				<a href="#" class="testimonialv2NextBtn"><i class="fas fa-arrow-right"></i></i></a>
			</div>	
			</div></div>
				<div class="arrow-part" style="background-image:url('.get_stylesheet_directory_uri().'/assets/images/testimonial-boy-right.jpg)">
					<a href="#" class="testimonialv2NextBtn"><i class="fas fa-arrow-right"></i></i></a>
				</div>
			</div>';
		}else{
			/* Will show Message if post is empty */
		}	
	}else{
		/* Will show Message if post is not defined */		
	}
	$html  .= '</div>';		
	// return json_encode($return);
	return $html;
}
add_shortcode( 'testimonialv2Slider', 'testimonialv2_Slider' );

/* ================== Custom Post Type For Blogs ================== */

/* Shortcode - [blogsSlider slug='blog-slug' limit='0'] */

// Create A Function For Blogs Slider
function blog_Slider( $atts ) {
	$args = shortcode_atts( array(
		'slug' => '',
		'limit' => 5,
		'offset' => 0
	), $atts );
	$html = '';
	$return = [];
	if(!empty($args['slug'])){
		$post_args = array(
		'post_type'=>'post',
		'tax_query' => array(
            array(
                'taxonomy' => 'category',
                'field' => 'slug',
                'terms' => $args['slug'],
            )
        ),
        'orderby' => 'date',
        'order' => 'DESC',
		'numberposts' => $args['limit']
		);
		$posts = get_posts($post_args);
		// print_r($posts);
		$datetime = new DateTime();
		$html = '<div class="blog-wrapper"><div class="row"><div class="col-3"><div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">';
		if(count($posts)>0){ $counts=0;
			foreach($posts as $post){
				$date = explode(' ',$post->post_date);
				$date = explode('-',$date[0]);
				$date = $date[1].'/'.$date[2].'/'.$date[0];
				$post->image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
				$return[] = $post;
				if($counts<1){ $active ='active'; $selected='true'; }else{ $active = ''; $selected='false'; }
				$html .= '
				<a class="hoveLink nav-link '. $active .'" id="v-pills-'. $post->ID .'-tab" data-toggle="pill" href="#vpills'. $post->ID .'" role="tab" aria-controls="vpills'. $post->ID .'" aria-selected="'. $selected .'">
					<span>'.$datetime->createFromFormat('m/d/Y',$date)->format('d-M-Y').'</span>
					'.$post->post_title.' &nbsp;<i class="flaticon-right-arrow-1"></i>
					<span>Comments '.$post->comment_count.'</span>
				</a>';
			$counts++;
			}
			$html .='</div></div><div class="col-9"><div class="tab-content" id="v-pills-tabContent">';
			$Ccounts=0;
			foreach($posts as $post){
				$date = explode(' ',$post->post_date);
				$date = explode('-',$date[0]);
				$date = $date[1].'/'.$date[2].'/'.$date[0];
				$post->image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
				$return[] = $post;
				if($Ccounts<1){ $Cactive ='show active'; }else{ $Cactive = ''; }
				$html .= '<div class="tab-pane fade '. $Cactive .'" id="vpills'. $post->ID .'" role="tabpanel" aria-labelledby="v-pills-'. $post->ID .'-tab">
				<a href="'. get_permalink($post->ID) .'" class="read-more"><img src="'. $post->image .'" /></a>
				</div>';
				$Ccounts++;	
			}
			$html .= '</div></div>';
		}else{
			/* Will show Message if blog is empty */
		}	
	}else{
		/* Will show Message if blog is not defined */	
		$post_args = array(
		'post_type'=>'post',
		'offset'   => $args['offset'],
        'orderby' => 'date',
        'order' => 'DESC',
		'numberposts' => $args['limit']
		);
		$posts = get_posts($post_args);
		// print_r($posts);
		$datetime = new DateTime();
		$html = '<div class="blog-wrapper"><div class="row"><div class="col-3"><div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">';
		if(count($posts)>0){ $counts=0;
			foreach($posts as $post){
				$date = explode(' ',$post->post_date);
				$date = explode('-',$date[0]);
				$date = $date[1].'/'.$date[2].'/'.$date[0];
				$post->image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
				$return[] = $post;
				if($counts<1){ $active ='active'; $selected='true'; }else{ $active = ''; $selected='false'; }
				$html .= '
				<a class="hoveLink nav-link '. $active .'" id="v-pills-'. $post->ID .'-tab" data-toggle="pill" href="#vpills'. $post->ID .'" role="tab" aria-controls="vpills'. $post->ID .'" aria-selected="'. $selected .'">
					<span>'.$datetime->createFromFormat('m/d/Y',$date)->format('d-M-Y').'</span>
					'.$post->post_title.' &nbsp;<i class="flaticon-right-arrow-1"></i>
					<span>Comments '.$post->comment_count.'</span>
				</a>';

			$counts++;
			}
			$html .='</div></div><div class="col-9"><div class="tab-content" id="v-pills-tabContent">';
			$Ccounts=0; 
			foreach($posts as $post){
				$date = explode(' ',$post->post_date);
				$date = explode('-',$date[0]);
				$date = $date[1].'/'.$date[2].'/'.$date[0];
				$post->image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
				$return[] = $post;
				if($Ccounts<1){ $Cactive ='show active'; }else{ $Cactive = ''; }
				$html .= '<div class="tab-pane fade '. $Cactive .'" id="vpills'. $post->ID .'" role="tabpanel" aria-labelledby="v-pills-'. $post->ID .'-tab">
				<a href="'. get_permalink($post->ID) .'" class="read-more"><img src="'. $post->image .'" /></a>
				</div>';
			$Ccounts++;		
			}
			$html .= '</div></div>';
		}else{
			/* Will show Message if blog is empty */
		}	
	}
	$html  .= '</div></div>';		
	// return json_encode($return);
	//$html .='<script></script>';
	
	return $html;
}
add_shortcode( 'blogsSlider', 'blog_Slider' ); 


/* Shortcode - [siteUrl slug='url_name'] */

/* ================== Return site base url or slug concatinated with base url if passed as argument ================== */
function my_site_url( $atts ) {
	$args = shortcode_atts( array(
		'slug' => '',
	), $atts );
	
	if(!empty($atts['slug'])){
		return get_site_url().$atts['slug'];
	}
	return get_site_url();
}
add_shortcode( 'siteUrl', 'my_site_url' ); 

/* ================== Custom Post Type For Career Tabing ================== */
function wgz_custom_careerTabing() {
    $args = array(
        'labels' => array(
            'name' => __( 'Career-Tabings' ),
            'singular_name' => __( 'Career-Tabing' )
        ),
		'menu_icon'=>'dashicons-tag',
		'public' => true,
		'has_archive' => true,
		'supports' => array('title','editor','comments','thumbnail'),
		'taxonomies'  => array( 'career_tab_category' ),
		'rewrite' => array('slug' => 'wgz-carrertabings'),
		'show_in_rest' => true, 
    );
    register_post_type( 'wgz-carrertabings', $args );
}
add_action( 'init', 'wgz_custom_careerTabing' ); 

function wgz_carrerTabing_init(){
	// Create A New Taxonomy For Career Tabing
	register_taxonomy(
		'career_tab_category',
		'wgz-carrertabings',
		array(
			'label' => __( 'Category' ),
			'hierarchical' => true,
			'show_ui' => true,
			'show_in_rest' => true,
			'show_admin_column' => true,
			'query_var' => true,
			'rewrite' => array( 'slug' => 'career_tab_category' )
		)
	);
}
add_action( 'init', 'wgz_carrerTabing_init', 0 ); 

/* Shortcode - [carrerTabings slug='cat-slug' limit='0'] Helper methods */

function get_parent_tabs(){
	$cat_args = array(
		'taxonomy'=>'career_tab_category', 
		'parent'=>0,
		'hide_empty'    => false,
        'orderby' => 'date',
        'order' => 'DESC'
		); 
		
	$categories = get_terms($cat_args);
	$tabs[] = '<li class="nav-item" role="carrer-main-tab">
		<a class="nav-link active" data-toggle="pill" href="#all">
			<span class="top-stripe"></span>
			<span class="bottom-stripe"></span>
			All
		</a>
	</li>';
	foreach($categories as $categorie){
		$tabs[] = '<li class="nav-item" role="carrer-main-tab">
						<a class="nav-link " data-toggle="pill" href="#'.$categorie->slug.'">
							<span class="top-stripe"></span>
							<span class="bottom-stripe"></span>
							'.$categorie->name.'
						</a>
					</li>';
	}

	return implode(' ', $tabs);
}

function get_sub_tabs($parent,$isall=0){
	$cat_args = array(
		'taxonomy'=>'career_tab_category', 
		'parent'=>$parent,
		'hide_empty'    => false,
        'orderby' => 'date',
        'order' => 'ASC'
		); 
		
	$categories = get_terms($cat_args);
	$tabs = []; 
	$cnt=0;
	foreach($categories as $categorie){
		$class =  (($cnt==0)?'active':'');
		$tabs[] = '<li class="nav-item" role="carrer-inner-tab">
						<span></span>
						<a class="nav-link '.$class.'"  data-toggle="pill" href="#'.$categorie->slug.($isall==1?'_all':'').'">'.$categorie->name.'</a>
					</li>';
		$cnt++;
	}

	return implode(' ', $tabs);
}

function get_all_sub_tabs(){
	$cat_args = array(
		'taxonomy'=>'career_tab_category', 
		'hide_empty'    => false,
        'orderby' => 'date',
        'order' => 'ASC'
		); 
		
	$categories = get_terms($cat_args);
	$tabs = []; 
	$cnt = 0;
	foreach($categories as $categorie){
		if(!empty($categorie->parent)){
			$class =  (($cnt==0)?'active':'');
			$tabs[] = '<li class="nav-item" role="carrer-inner-tab">
							<span></span>
							<a class="nav-link '.$class.'"  data-toggle="pill" href="#'.$categorie->slug.'_all">'.$categorie->name.'</a>
						</li>';
			$cnt++;
		}		
	}

	return implode(' ', $tabs);
}

function get_cat_posts($cat,$act, $isall=0){
	// echo $act."--";
	$postArgs = array(
					'posts_per_page' => -1,
					'post_type' => 'wgz-carrertabings',
					'tax_query' => array(
						array(
							'taxonomy' => 'career_tab_category',
							'field' => 'term_id',
							'terms' => $cat,
						)
					)
				);
	$posts_array = get_posts($postArgs);
									
				$categ = get_term((int) $cat);
				$class = (($act==0)? 'show active':'');	
				$allContents .= '
					<div class="tab-pane fade '.$class.'" id="'.$categ->slug.($isall==1?'_all':'').'">
						<div class="inner-tab-panel">
							<div class="panel-heading mb-5">
								<h3>Summary</h3>
							</div>
							<div class="panel-body">';
	foreach($posts_array as $post){					
			$allContents .= '<div class="info-box">
							<ul>
							<li class="item-right">
									<div class="title">Location</div>
									<div class="des">'.get_field('location',$post->ID).'</div>
								</li>
								<li class="item-left">
									<div class="title">Education</div>
									<div class="des">'.get_field('education',$post->ID).'</div>
								</li>
								<li class="item-right">
									<div class="title">Experience</div>
									<div class="des">'.get_field('experience',$post->ID).'</div>
								</li>
								<li class="item-left">
									<div class="title">No. Of Vacancy</div>
									<div class="des">'.get_field('no_of_vacancy',$post->ID).'</div>
								</li>
								<li class="item-right">
									<div class="title">Employment Status</div>
									<div class="des">'.get_field('employment_status',$post->ID).'</div>
								</li>
								<li class="item-left">
									<div class="title">Industry Type</div>
									<div class="des">'.get_field('industry_type',$post->ID).'</div>
								</li>
								<li class="item-right">
									<div class="title">Role</div>
									<div class="des">'.get_field('role',$post->ID).'</div>
								</li>
								<li class="item-left">
									<div class="title">Functional Area</div>
									<div class="des">'.get_field('functional_area',$post->ID).'</div>
								</li>
								<li class="item-right">
									<div class="title">Salary</div>
									<div class="des">'.get_field('salary',$post->ID).'</div>
								</li>
								<li class="item-left">
									<div class="title">Interview Round</div>
									<div class="des">'.get_field('interview_round',$post->ID).'</div>
								</li>
							</ul>
						</div>';
					}	
				$allContents .= '	</div>
				</div>';
				$jobsummary = get_field('heading',$post->ID);
				if(!empty($jobsummary)){
					$allContents .= '<div class="inner-tab-panel">
						<div class="panel-heading mb-5">
							<h3>'.get_field('heading',$post->ID).'</h3>
						</div>
						<div class="panel-body">
							<div class="content-box">
								<p>'.get_field('summary',$post->ID).'</p>
							</div>
						</div>
					</div>';	
				}
				
				$respHeading = get_field('responsibilities_and_duties_heading',$post->ID);
				if(!empty($respHeading)){
				$allContents .= '<div class="inner-tab-panel">
								<div class="panel-heading mb-5">
									<h3>'.get_field('responsibilities_and_duties_heading',$post->ID).'</h3>
								</div>
								<div class="panel-body">
									<div class="content-box">
										<ul>';
				// Check rows exists.
				if( have_rows('responsibilities_and_duties_bullets',$post->ID) ){

				    // Loop through rows.
				    while( have_rows('responsibilities_and_duties_bullets',$post->ID) ) : the_row();
				    	$allContents .= '<li>'.get_sub_field('bullet_text',$post->ID).'</li>';
				    // End loop.
				    endwhile;
				}				

				$allContents .= 		'</ul>
									</div>
								</div>
							</div>';
				}
				$keyskills = get_field('heading_1',$post->ID);
				if(!empty($keyskills)){
				$allContents .= '<div class="inner-tab-panel">
									<div class="panel-heading mb-5">
										<h3>'.get_field('heading_1',$post->ID).'</h3>
									</div>
									<div class="panel-body">
										<div class="content-box">
											<div class="row">
												<div class="col-md-12">
													<ul>';
														// Check rows exists.
														if( have_rows('key_skills_repeaters',$post->ID) ){

														    // Loop through rows.
														    while( have_rows('key_skills_repeaters',$post->ID) ) : the_row();
														    	$allContents .= '<li class="col-md-4">'.get_sub_field('key_skill',$post->ID).'</li>';
														    // End loop.
														    endwhile;
														}				

							$allContents .= 		'</ul>
												</div>
											</div>
										</div>	
									</div>
								</div>';
							}
			$requirements = get_field('heading_2',$post->ID);	
			if(!empty($requirements)){				
			$allContents .= '<div class="inner-tab-panel">
							<div class="panel-heading mb-5">
								<h3>'.get_field('heading_2',$post->ID).'</h3>
							</div>
							<div class="panel-body">
								<div class="content-box">
									'.get_field('requirements',$post->ID).'
								</div>
							</div>
						</div>';
					}
			$rewards = get_field('rewards_heading',$post->ID);	
			if(!empty($rewards)){
			$allContents .= '<div class="inner-tab-panel">
								<div class="panel-heading mb-5">
									<h3>'.get_field('rewards_heading',$post->ID).'</h3>
								</div>
								<div class="panel-body">
									<div class="content-box">
										<ul>';
				// Check rows exists.
				if( have_rows('rewards_repeaters',$post->ID) ){

				    // Loop through rows.
				    while( have_rows('rewards_repeaters',$post->ID) ) : the_row();
				    	$allContents .= '<li>'.get_sub_field('rewards_text',$post->ID).'</li>';
				    // End loop.
				    endwhile;
				}				

				$allContents .= 		'</ul>
									</div>
								</div>
							</div>'	;	
				}
										
			$allContents .= '</div>';	

		return $allContents;					
}

function get_empty_area($id,$active=0){
	$allContents .= '<div class="tab-content inner-tab-content">
					<div class="tab-pane fade '.(($active==1)?'show active':'').'" id="'.$id.'empty">
						<div class="inner-tab-panel">
							<div class="panel-heading mb-5">
								<h3>Summary</h3>
							</div>
							<div class="panel-body">';
	$allContents .= '	</div>
				</div>
			</div>
		</div>';	

		return $allContents;	
}
/* Shortcode - [carrerTabings slug='cat-slug' limit='0'] */

// Create A Function For Carrer Tabing
function career_Tabing( $atts ) {
	$args = shortcode_atts( array(
		'limit' => 5,
	), $atts );
	$html = '';
	$return = [];
		
		$allsubtabs = [];
		$subtabs = [];
		$allContents = [];
		$contents = [];
		$posts = [];
		$allPosts = [];
		$subtab = 0;
		
		$cat_args = array(
		'taxonomy'=>'career_tab_category', 
		'parent'=>0,
		'hide_empty'    => false,
        'orderby' => 'publish_date',
        'order' => 'ASC'
		); 
		
		$categories = get_terms($cat_args);

		foreach($categories as $categorie){			
			$subtabs[$categorie->term_id] = get_sub_tabs($categorie->term_id);					
		}

		$allsubtabs = get_all_sub_tabs();

		$sub_cat_args = array(
		'taxonomy'=>'career_tab_category', 
		'hide_empty'    => false,
        'orderby' => 'publish_date',
        'order' => 'ASC'
		); 
		$subCategories = get_terms($sub_cat_args);
		/*echo "<pre>";
		print_r($subCategories);
		echo '</pre>';*/
		$pcount = [];
		$subtabsCount = 0;
		foreach($subCategories as $subCategorie){	
			if($subCategorie->parent>0){
				$allContents[] = get_cat_posts($subCategorie->term_id,((isset($pcount[$subCategorie->parent]))?1:(($subtabsCount==0)?0:1)),1);
				$subcontent[$subCategorie->parent][] = get_cat_posts($subCategorie->term_id, ((isset($pcount[$subCategorie->parent]))?1:0));
				$pcount[$subCategorie->parent]=1;
				
			}
			$checkSub = get_terms($subCategorie);
			// echo 'out'.$subCategorie->parent.empty($checkSub).'--';
			// print_r($checkSub);
			if($subCategorie->parent==0 && empty($checkSub)){
				// echo 'in';
				$act = (($subtabsCount==0)?1:0);
				$subcontent[$subCategorie->term_id][] = get_empty_area($subCategorie->term_id);
			}		
			$subtabsCount++;					
		}
		// print_r($subcontent);

		$html .= '<div class="carrer-main-tabing">';
		$html .= '<ul class="nav nav-pills nav-justified main-tab-list">'; 
		$html .=	get_parent_tabs();
		$html .= '</ul><div class="tab-content main-tab-content" id="pills-mainTab">
		<div class="tab-pane inner-tab-content fade show active" id="all">
			<div class="row">
				<div class="col-md-3">
					<ul class="nav nav-pills inner-tab-list d-block">
						'.$allsubtabs.'
					</ul>
				</div>
				<div class="col-md-9">
					<div class="tab-content inner-tab-content" id="pills-innerTab">
						'.implode('',$allContents).'
					</div>
				</div>
			</div>
		</div>';
		// print_r($subtabs);
		foreach($subcontent as $ckey => $content){
			$categ = get_term((int) $ckey);
			// print_r($categ);
			$html .= '
				<div class="tab-pane fade" id="'.((!empty($categ->slug))?$categ->slug:$categ->parent.'empty').'">
					<div class="row">
						<div class="col-md-3">
							<ul class="nav nav-pills inner-tab-list d-block">
								'.$subtabs[$ckey].'
							</ul>
						</div>
						<div class="col-md-9">
							<div class="tab-content inner-tab-content">
							'.implode('',$content).'
							</div>
						</div>
					</div>
				</div>
				';
		}

		$html  .= '</div>';		
		return $html;						
}
add_shortcode( 'carrerTabings', 'career_Tabing' ); 

/*********post views********/
function gt_get_post_view() {
    $count = get_post_meta( get_the_ID(), 'post_views_count', true );
    return "$count views";
}
function gt_set_post_view() {
    $key = 'post_views_count';
    $post_id = get_the_ID();
    $count = (int) get_post_meta( $post_id, $key, true );
    $count++;
    update_post_meta( $post_id, $key, $count );
}
function gt_posts_column_views( $columns ) {
    $columns['post_views'] = 'Views';
    return $columns;
}
function gt_posts_custom_column_views( $column ) {
    if ( $column === 'post_views') {
        echo gt_get_post_view();
    }
}
add_filter( 'manage_posts_columns', 'gt_posts_column_views' );
add_action( 'manage_posts_custom_column', 'gt_posts_custom_column_views' );
/****************/
function comment_validation_init() {
    if(is_single() && comments_open() ) { ?>
    <script type="text/javascript">
    jQuery(document).ready(function($) {
    $('#commentform').validate({
    rules: {
      author: {
        required: true,
        minlength: 2
      },

      email: {
        required: true,
        email: true
      },

      comment: {
        required: true,
        minlength: 20
      }
    },

    messages: {
      author: "Please fill the required field",
      email: "Please enter a valid email address.",
      comment: "Please fill the required field"
    },

    errorElement: "div",
    errorPlacement: function(error, element) {
      element.after(error);
    }

    });
    });
    </script>
    <?php
    }
    }
add_action('wp_footer', 'comment_validation_init');
/**********career submit resume insert db************/
/**********career submit resume insert db************/
function wpcf7_resume_insert_db( $cf7 ) {
        global $wpdb;
    	//limit hook to only fire on particular form ID (optional)
	    if ( $cf7->id == 6708 ) {

		//get select box for different enquiry types (optional)
		//$type = $cf7->posted_data["your-select"];

		//if form type is equal to above value (optional)
		//if ( $type == 'Submit Resume' ){

			//code added for wordpress 4.9 2018
			$cf7 = WPCF7_ContactForm::get_current();
    		$submission = WPCF7_Submission::get_instance();
			$data = $submission->get_posted_data();
			$uploaded_files = $submission->uploaded_files();				
			//get posted form fields
			//these are example form fields
			$image_location = $uploaded_files["resume"]; 
			$field1 = $data["Name"];
			$field2 = $data["Email"];
			$field3 = $data["MobileNo"];
			$field4 = $data["POSITION"][0];
			$field5 = $data["WORKEXPERIENCE"][0];
			$field6 = $data["resume"];
			$field7 = '';//$data["LINKEDIN"];
			$field8 = '';//$data["REFFEREDBY"];
			$field9 = '';//$data["SHORT"];
			
			/***upload resume file****/
			$image_name = basename($image_location[0]);
			if ($uploaded_files) {
            foreach ($uploaded_files as $fieldName => $filepath) {
                $filedata = wgt_create_attachment($filepath[0]);
            }
			}
			$wp_upload_dir = wp_upload_dir();
			/*$upload = wp_upload_bits($image_name, null, $image_content);
			$chemin_final = $upload['url'];
			$filename = $upload['file'];
			$error  = $upload['error'];*/
			//wgt_create_attachment($image_location);
			//insert into external db
			$wpdb->insert( 
				//name of external db table
				'submit_resume',
				//name of table columns and which fields to insert 
				//these are example fields
				array( 
					'name' => $field1, 
					'email' => $field2,
					'mobile_no' => $field3,
					'position' => $field4,
					'work_experience' => $field5,
					'resume' => $image_name,
					'linkedin_profile' => $field7,	
					'refered_by' => $field8,	
					'description' => $field9	

				),
				//field formats: %s = string, %d = integer, %f = float
				array( 
					'%s','%s','%s','%s','%s','%s','%s'
				) 
			);
			
		$formdata['form_id'] = 4;
		$formdata['field[name]'] = $field1;
		$formdata['field[email]'] = $field2;
		$formdata['field[mobile]'] = $field3;
		$formdata['field[position]'] = $field4;
		$formdata['field[experience]'] = $field5;
		//$formdata['field[linkedin]'] = $field7;
		//$formdata['field[refered_by]'] = $field8;
		//$formdata['field[description]'] = $field9;
		$formdata['field[resume]'] = $wp_upload_dir['baseurl'] .'/resumes/'. $image_name;
		crm_api_post($formdata);
		//}
		
		
		
			
	}
	if ( $cf7->id == 232 ) {
	$cf7 = WPCF7_ContactForm::get_current();
	$submission = WPCF7_Submission::get_instance();
	$fdata = $submission->get_posted_data();
	$formdata['form_id'] = 1;
	$formdata['field[website]'] = $fdata['website'];
	$formdata['field[email]'] = $fdata['your-email'];
	crm_api_post($formdata);
	}
	if ( $cf7->id == 231 ) {
	$cf7 = WPCF7_ContactForm::get_current();
	$submission = WPCF7_Submission::get_instance();
	$fdata = $submission->get_posted_data();
	$formdata['form_id'] = 5;
	$formdata['field[name]'] = $fdata['your-name'];
	$formdata['field[email]'] = $fdata['your-email'];
	$formdata['field[phone]'] = $fdata['number'];
	$formdata['field[company]'] = $fdata['your-company'];
	$formdata['field[website]'] = $fdata['website'];
	$formdata['field[message]'] = $fdata['your-message'];
	crm_api_post($formdata);
	}
	if ( $cf7->id == 606 ) {
	$cf7 = WPCF7_ContactForm::get_current();
	$submission = WPCF7_Submission::get_instance();
	$fdata = $submission->get_posted_data();
	$formdata['form_id'] = 2;
	$formdata['field[name]'] = $fdata['your-name'];
	$formdata['field[email]'] = $fdata['your-email'];
	$formdata['field[phone]'] = $fdata['number-238'];
	$formdata['field[website]'] = $fdata['url-154'];
	crm_api_post($formdata);
	}
	if ( $cf7->id == 7908 ) {
	$cf7 = WPCF7_ContactForm::get_current();
	$submission = WPCF7_Submission::get_instance();
	$fdata = $submission->get_posted_data();
	$uploaded_files = $submission->uploaded_files();
	$image_location = $uploaded_files["documentation"];
	$image_name = basename($image_location[0]);
			if ($uploaded_files) {
            foreach ($uploaded_files as $fieldName => $filepath) {
                $filedata = wgt_create_attachment($filepath[0]);
            }
			}
	$wp_upload_dir = wp_upload_dir();
	$formdata['form_id'] = 6;
	$formdata['field[name]'] = $fdata['your-name'];
	$formdata['field[email]'] = $fdata['your-email'];
	$formdata['field[phone]'] = $fdata['number'];
	$formdata['field[skype]'] = $fdata['skype-id'];
	$formdata['field[website]'] = $fdata['website'];
	$formdata['field[about]'] = $fdata['hear-about-us'][0];
	$formdata['field[service]'] = $fdata['web-service'][0];
	$formdata['field[message]'] = $fdata['your-message'];
	$formdata['field[documentation]'] = $wp_upload_dir['baseurl'] .'/resumes/'. $image_name;
	crm_api_post($formdata);
	}
	if ( $cf7->id == 1172 ) {
	$cf7 = WPCF7_ContactForm::get_current();
	$submission = WPCF7_Submission::get_instance();
	$fdata = $submission->get_posted_data();
	$formdata['form_id'] = 7;
	$formdata['field[name]'] = $fdata['your-name'];
	$formdata['field[email]'] = $fdata['your-email'];
	$formdata['field[phone]'] = $fdata['your-number'];
	$formdata['field[message]'] = $fdata['your-message'];
	crm_api_post($formdata);
	}
	if ( $cf7->id == 25080 ) {
	$cf7 = WPCF7_ContactForm::get_current();
	$submission = WPCF7_Submission::get_instance();
	$fdata = $submission->get_posted_data();
	$formdata['form_id'] = 8;
	$formdata['field[name]'] = $fdata['your-name'];
	$formdata['field[email]'] = $fdata['your-email'];
	$formdata['field[phone]'] = $fdata['tel-919'];
	$formdata['field[url]'] = $fdata['url-762'];
		
	crm_api_post($formdata);
	}
	
		if ( $cf7->id == 25323 ) {
	$cf7 = WPCF7_ContactForm::get_current();
	$submission = WPCF7_Submission::get_instance();
	$fdata = $submission->get_posted_data();
	$formdata['form_id'] = 9;
	$formdata['field[name]'] = $fdata['your-name'];
	$formdata['field[email]'] = $fdata['your-email'];
	$formdata['field[phone]'] = $fdata['tel-919'];
	$formdata['field[url]'] = $fdata['url-762'];
		
	crm_api_post($formdata);
	}

}
add_action("wpcf7_before_send_mail", "wpcf7_resume_insert_db");

function wgt_create_attachment($filename)
{
    // Check the type of file. We'll use this as the 'post_mime_type'.
    $filetype = wp_check_filetype(basename($filename), null);

    // Get the path to the upload directory.
    $wp_upload_dir = wp_upload_dir();

    $attachFileName = $wp_upload_dir['basedir'] . '/resumes/' . basename($filename);
    copy($filename, $attachFileName);
    // Prepare an array of post data for the attachment.
    $attachment = array(
        'guid'           => $attachFileName,
        'post_mime_type' => $filetype['type'],
        'post_title'     => preg_replace('/\.[^.]+$/', '', basename($filename)),
        'post_content'   => '',
        'post_status'    => 'inherit'
    );

    // Insert the attachment.
    $attach_id = wp_insert_attachment($attachment, $attachFileName);

    // Make sure that this file is included, as wp_generate_attachment_metadata() depends on it.
    require_once(ABSPATH . 'wp-admin/includes/image.php');

    // Generate the metadata for the attachment, and update the database record.
    $attach_data = wp_generate_attachment_metadata($attach_id, $attachFileName);
    wp_update_attachment_metadata($attach_id, $attach_data);
    return $attach_data;
}
/********crm api form post**********/
function crm_api_post($postdata){
if(!empty($postdata)){	
$url = 'https://crm.webguruz.in/api/saveform';

$ch = curl_init();
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $postdata );
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_TIMEOUT, 30);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = @curl_exec($ch);
//echo $status_code = @curl_getinfo($ch, CURLINFO_HTTP_CODE);
//echo $curl_errors = curl_error($ch);
$resdata = json_decode($response,true);
curl_close($ch);

//return $resdata;
}	
}
/***********career page new section*************/
add_shortcode('testimonialnew','func_newtestimonial');
function func_newtestimonial(){
	$html='';
	
	$html .='<div class="ownWords-testimonial">
	<div class="row">
		<div class="col-md-6">';
		$args = array(
				'post_type' => 'wgz-testimonialsv2',
				'posts_per_page' => 6,
				'tax_query' => array(
					array(
					'taxonomy' => 'testimonialsv2_category',
					'field' => 'slug',
					'terms' => 'bottom'
					 )
					)
			);
			$testimonials = new WP_Query( $args );
			$counts = $testimonials->found_posts;
		$html .='<div class="client-img d-flex">';
		$loopindex = 1;
		while ( $testimonials->have_posts() ) { $testimonials->the_post();
		$thumbnail = get_the_post_thumbnail_url(get_the_ID(),'full');
		if($loopindex < 2 && $loopindex==1){
		$html .='<div class="left-part">';
		$active_img = $thumbnail;
		}else if($loopindex==3){
		$html .='</div><div class="right-part">';
		}else if($loopindex==4){
			$html .='<div class="img-item active large">
						<img src="'. $active_img .'" alt="client-img">
					</div>';
        }else if($loopindex > 4 && $loopindex == 5){
            $html .='</div><div class="right-part-2">';
		}
                                               
			$html .='<div class="img-item '. get_post_field('post_name',get_the_ID()) .'">
						<img src="'. $thumbnail .'" alt="client-img">
					</div>';
		$loopindex++;
		}	
		wp_reset_postdata();
		$html .='</div>
			</div>
		</div>
		<div class="col-md-6">';
		$html .='<div class="list--timeline">';
		$html .='<ul id="customdots">
					<li class="active"></li>
					<li></li>
					<li></li>
					<li></li>
				</ul>';	
		$html .='<div class="owl-carousel owl-theme newtestimonial">';
		while ( $testimonials->have_posts() ) { $testimonials->the_post();
		$thumbnailitem = get_the_post_thumbnail_url(get_the_ID(),'full');
			$html .='<div class="Slides timeline-block item" data-item="'. get_post_field('post_name',get_the_ID()) .'" data-img="'. $thumbnailitem .'">
					<div class="client-head">
						<h3>'. get_the_title(get_the_ID()) .'</h3>
						<h5>'. get_field('destination',get_the_ID()) .'</h5>
					</div>
					<div class="client-content">
						<div class="quote-left"><i class="fas fa-quote-left"></i></div>
						<p>'. get_the_content(get_the_ID()) .'</p>
						<div class="quote-right"><i class="fas fa-quote-right"></i></div>
					</div>
				</div>';
		}
		wp_reset_postdata();
	$html .='</div></div>
		</div>
	</div>
</div>
';
return $html;	
}
/********create job custom post type**********/
function wgt_custom_joblist_post() {
    $args = array(
        'labels' => array(
            'name' => __( 'Career-Jobs' ),
            'singular_name' => __( 'Career-Jobs' )
        ),
		'menu_icon'=>'dashicons-tag',
		'public' => true,
		'has_archive' => true,
		'supports' => array('title','editor','comments','thumbnail'),
		'taxonomies'  => array( 'career_job_category' ),
		'rewrite' => array('slug' => 'wgt-careerjobs'),
		'show_in_rest' => true, 
    );
    register_post_type( 'wgt-careerjobs', $args );
}
add_action( 'init', 'wgt_custom_joblist_post' ); 
/********post jobs cat create**********/
function wgt_carrerjobs_cat_init(){
	// Create A New Taxonomy For Career Tabing
	register_taxonomy(
		'career_job_category',
		'wgt-careerjobs',
		array(
			'label' => __( 'Category' ),
			'hierarchical' => true,
			'show_ui' => true,
			'show_in_rest' => true,
			'show_admin_column' => true,
			'query_var' => true,
			'rewrite' => array( 'slug' => 'career_job_category' )
		)
	);
}
add_action( 'init', 'wgt_carrerjobs_cat_init', 0 ); 
/*****employment testimonial*******/
function wgt_testimonialsv2_cat_init(){
	// Create A New Taxonomy For Career Tabing
	register_taxonomy(
		'testimonialsv2_category',
		'wgz-testimonialsv2',
		array(
			'label' => __( 'Category' ),
			'hierarchical' => true,
			'show_ui' => true,
			'show_in_rest' => true,
			'show_admin_column' => true,
			'query_var' => true,
			'rewrite' => array( 'slug' => 'testimonialsv2_category' )
		)
	);
}
add_action( 'init', 'wgt_testimonialsv2_cat_init', 0 ); 
/********list jobs shortcode**********/
add_shortcode('joblist','func_new_joblist');

function func_new_joblist($atts){
	
	$args = shortcode_atts( array(
		'include' => '',
	), $atts );
	$html='';
	
	
	$cat_args = array(
		'taxonomy'=>'career_job_category', 
		'parent'=>0,
		'hide_empty'    => true,
        'orderby' => 'publish_date',
        'order' => 'ASC'
		); 
	if($args['include']){
	$cat_args['include']= array($args['include']);	
	}	
	$categories = get_terms($cat_args);
	$html .='<div class="job--with">
	<div class="accordion" id="jobWithAccordion">
		<div class="row">';
		foreach($categories as $cat){
			$args = array(
				'post_type' => 'wgt-careerjobs',
				'tax_query' => array(
					array(
						'taxonomy' => 'career_job_category',
						'field'    => 'slug',
						'terms'    => $cat->slug
					),
				),
			);
			$iconimage = get_field('icon_image',$cat);
			if(!$iconimage){
				$iconimage = site_url() .'/wp-content/uploads/2021/03/design.png';
			}
			$jobsposts = new WP_Query( $args );
			$html .='<div class="col-md-6">
				<div class="card">
					<img src="'. $iconimage .'" class="top-icon" alt="icon">
					<div class="card-head" id="'. $cat->slug .''. $cat->term_id .'">
						<h2 class="mb-0 collapsed" data-toggle="collapse" data-target="#'. $cat->slug .'" aria-expanded="true" aria-controls="'. $cat->slug .'">
						  '. $cat->name .'
						</h2>
					</div>
					<div id="'. $cat->slug .'" class="collapse" aria-labelledby="'. $cat->slug .''. $cat->term_id .'" data-parent="#jobWithAccordion">
					  <div class="card-body f">
						<ul>';                        
						while ( $jobsposts->have_posts() ) { $jobsposts->the_post();
							$html .='<li><a href="'. get_permalink(get_the_ID()) .'" target="_blank">'. get_the_title(get_the_ID()) .'</a> <span>No. of openings: <strong>'. get_field('no_of_opening',get_the_ID()) .'</strong></span></li>';
						}
						wp_reset_postdata();
						$html .='
						</ul>
					  </div>
					</div>
				</div>
				</div>';
		}
				
		$html .='</div>					
		</div>
</div>';
	return $html;
}

/*******resume form dropdown setup*********/
add_filter('wpcf7_form_tag_data_option', function($n, $options, $args) {
  if (in_array('positionlist', $options)){
	$cat_args = array(
		'taxonomy'=>'career_job_category', 
		'parent'=>0,
		'hide_empty'    => true,
        'orderby' => 'publish_date',
        'order' => 'ASC'
		); 
		$categories = get_terms($cat_args);
		$positionlists=array();
		foreach($categories as $cat){
			$args = array(
				'post_type' => 'wgt-careerjobs',
				'tax_query' => array(
					array(
						'taxonomy' => 'career_job_category',
						'field'    => 'slug',
						'terms'    => $cat->slug
					),
				),
			);
	$jobsposts = new WP_Query( $args );
	
	while ( $jobsposts->have_posts() ) { $jobsposts->the_post();		
		      $positionlists[]= get_the_title(get_the_ID());		      				
	}
	//$positionlists[] ='Other';
	wp_reset_postdata();
    }
    return $positionlists;
  }
  
  return $n;
}, 10, 3);

/*******load more portfolio********/
/*********New blog load more**********/
add_action( 'wp_ajax_portfolio_action', 'portfolio_action_func' );
add_action( 'wp_ajax_nopriv_portfolio_action', 'portfolio_action_func' );

function portfolio_action_func(){
	$html='';
	$paged= $_POST['paged'];
	if($_POST['catid']){
	$catid=$_POST['catid'];
	$argssub = array(
	'post_type' => 'wgz-portfolios',
	'posts_per_page' => 8,
	'paged' => $paged,
	'post_status' => 'publish',
	'tax_query' => array(
		array(
		'taxonomy' => 'portfolio_category',
		'field' => 'term_id',
		'terms' => $catid
		 )
	  )

	);
	}else{
	$argssub = array(
	'post_type' => 'wgz-portfolios',
	'posts_per_page' => 8,
	'paged' => $paged,
	'post_status' => 'publish'
	);
	}
	$posts_results = new WP_Query($argssub); 
	$countsub = $posts_results->found_posts;
	if($posts_results->have_posts() ) {
	  while($posts_results->have_posts() ) {
	  $posts_results->the_post();
	  $term_list = wp_get_post_terms( get_the_ID(), 'portfolio_category', array( 'fields' => 'slugs' ) );
	  //print_r( $term_list );
	  $post_cats = implode(' ',$term_list);
	$thumbnail_image = get_field('thumbnail_image',get_the_ID());
	 if(!$thumbnail_image){
		 $thumbnail_image = get_stylesheet_directory_uri() .'/assets/images/portfolio/placeholder-image.jpg';
	 }
	$html .='<div class="row align-items-center mb-50 proitem all '. $post_cats .'">					
                            <div class="col-md-5">
                                <a href="'. get_permalink(get_the_ID()) .'"><img src="'. $thumbnail_image .'" class="rounded" alt="Portfolio-image"></a>
                            </div>
                            <div class="col-md-7">
                                <div class="portfolio-item-content">
                                    <h4><a href="'. get_permalink(get_the_ID()) .'">'. get_the_title(get_the_ID()) .'</a></h4>
                                    <p>'. substr(get_the_excerpt(get_the_ID()),0,150) .'</p>
                                </div>
                                <div class="portfolio-action d-flex">
                                    <a href="'. get_permalink(get_the_ID()) .'">Read More</a>
                                </div>
                            </div>
                        </div>';
		
	 } }else{
	$html =''; 
	 }
    echo $html;	 
	wp_die();
}


add_action( 'wp_ajax_wgt_portfolio_action', 'wgt_portfolio_action_func' );
add_action( 'wp_ajax_nopriv_wgt_portfolio_action', 'wgt_portfolio_action_func' );

function wgt_portfolio_action_func(){
	$html='';
	$paged= $_POST['paged'];
	$args = array(
	'post_type' => 'wgz-portfolios',
	'posts_per_page' => 14,
	'paged' => $paged,
	'post_status' => 'publish',
	'tax_query' => array(
				array(
				'taxonomy' => 'portfolio_category',
				'field' => 'term_id',
				'terms' => array(8,49,44,46,53,50,51,52),
				 )
	)   
	);
	
	$posts_results = new WP_Query($args); 
	$countsub = $posts_results->found_posts;
	$count = 1;
    if($posts_results->have_posts() ) 
    {
    while($posts_results->have_posts() ) 
    {
        $posts_results->the_post();
        if($count <= 3)
        {                
        $html.='<div class="col-md-4">';
        $html.='<div class="portfolio-v2-card mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">'; 
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>'; 
        }
        if($count == 4)
        {
        $html.='<div class="col-md-8">';
        $html.='<div class="portfolio-v2-card-half mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">'; 
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        } 
        if($count == 5)
        {
        $html.='<div class="col-md-4">';
        $html.='<div class="portfolio-v2-card half-right mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">'; 
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        } 
        if($count>=6 && $count <= 8)
        {
        $html.='<div class="col-md-4">';
        $html.='<div class="portfolio-v2-card mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">'; 
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        }
        if($count == 9)
        {
        $html.='<div class="col-md-8">';
        $html.='<div class="portfolio-v2-card-half mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">'; 
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        } 
        if($count == 10)
        {
        $html.='<div class="col-md-4">';
        $html.='<div class="portfolio-v2-card half-right mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">'; 
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        } 
        if($count>=11 && $count <= 13)
        {
        $html.='<div class="col-md-4">';
        $html.='<div class="portfolio-v2-card mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">';
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        }
        if($count == 14)
        {
        $html.='<div class="col-md-12">';
        $html.='<div class="portfolio-v2-card-full mb-5">';
        if(get_field('portfolio_cover'))
        {
        $html.='<img src="'.get_field('portfolio_cover').'" class="w-100" alt="portfolio-image">';
        }
        else
        {
        $html.='<img src="'.get_stylesheet_directory_uri().'/assets/images/portfolio/Portfolio-No-Image-Cover.jpg" class="w-100" alt="portfolio-image">';
        }
        $html.='<div class="text-fold">';
        $html.='<h3>'.get_the_title().'</h3>';
        $html.='<h4>'.get_field('industry').'</h4>';
        $html.='<p>'.substr(strip_tags(get_the_content()), 0, 80).'...'.'</p>';
        $html.='<div class="read-more">';
        $html.='<a href="'.get_the_permalink().'">Read More</a>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        $html.='</div>';
        }
        $count++;
        }
        wp_reset_postdata();
        }
    echo $html;	 
	wp_die();
}


// Create A Function For Testimonial V2 Slider In Career page
function testimonialv2_Slider_Top_Career( $atts ) {
	$args = shortcode_atts( array(
		'limit' => 3,
	), $atts );
	$html = '';
	$return = [];
	
	$post_args = array(
	'post_type'=>'wgz-testimonialsv2',
	'orderby' => 'date',
	'order' => 'DESC',
	'numberposts' => $args['limit'],
	'tax_query' => array(
		array(
		'taxonomy' => 'testimonialsv2_category',
		'field' => 'slug',
		'terms' => 'top'
			)
		)
	);

	$posts = get_posts($post_args);
	// print_r($posts);
	$html = '<div class="wgt-career-page"><div class="container">';
	// $return[] = $post_args;
	if(count($posts)>0){
		$html .= '<div class="wgt-career-page-inner">
			<div class="owl-carousel owl-theme wgt-career-slide" id="career-banner-carousel">';
				foreach($posts as $post){
					$post_image = wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'medium' ); 
					$return[] = $post;		 		
					$html .= '<div class="item">
						<div class="row">
							<div class="col-md-6">
								<div class="wgt-career-slide-content">
									<div class="wgt-career-slide-text">
										<span class="wgt-career-quote-icon"><i class="fas fa-quote-left"></i></span>
										<p class="wgt-career-quote">'. $post->post_content .'</p>
										<div class="wgt-career-quote-by">
											<h3>'. $post->post_title .'</h3>
											<h4>'. get_field('destination',$post->ID) .'</h4>
										</div>
									</div>
									<div class="wgt-career-slide-action">
										<h3>Join Our Team</h3>
										<div class="wgt-career-slide-btn">
											<a href="#applyalljob" class="octf-btn octf-btn-primary octf-btn-icon"><span>View All Jobs <i class="flaticon-right-arrow-1"></i></span></a>
										</div>
									</div>
								</div>

							</div>
							<div class="col-md-6">
								<div class="wgt-career-slide-img">';
								if($post_image){ 
									$html .= '<img src="'. $post_image .'" alt="slide image" class="img-fluid" />';
								}
								$html .= '</div>
							</div>
						</div>
					</div>';	
					}
		$html .= '</div></div>';
	}else{
		/* Will show Message if post is empty */
	}	
	
	$html  .= '</div></div>';		
	// return json_encode($return);
	return $html;
}
add_shortcode( 'testimonialv2SliderTop', 'testimonialv2_Slider_Top_Career' );

// Create A Function For Banner V3 Slider In Career page
function bannerv3_slider_career() {
	$html = '';
	$html .= '<div class="bannerv3_slider_career__wrap">';
		if(have_rows('career_slider')):
		$html .= '<div class="owl-carousel owl-theme owl-bannerv3_slider_career" id="owl-bannerv3_slider_career">';
			while( have_rows('career_slider') ): the_row();
			$image = get_sub_field('image');	
			$title_1 = get_sub_field('title_1');
			$title_2 = get_sub_field('title_2');
            $desc = get_sub_field('description');
			$button_text = get_sub_field('button_text');
            $button_link = get_sub_field('button_link');
			$html .= '<div class="item">
				<img src="'. $image . '" class="banner-image" alt="image">
				<div class="bannerv3_slider_career__inner">
					<div class="container">
						<div class="content__box">
							<h2 class="text-white">'. $title_1 . '</h2>
							<h3 class="text-white">'. $title_2 . '</h3>
                            <p>'. $desc . '</p>
							<div class="btn-option">								
                                <a href="'.$button_link.'" class="octf-btn btn-lg octf-btn-primary octf-btn-icon"><span>'. $button_text . ' <i class="flaticon-right-arrow-1"></i></span></a>
							</div>
						</div>
					</div>
				</div>
			</div>';
			endwhile;	
		$html .= '</div>';
		endif;
	$html  .= '</div>';		
	return $html;
}
add_shortcode('bannerv3SliderCareer', 'bannerv3_slider_career');


// Webguruz Profile Logos
function wgt_profile_logos() {	
	$html = '';
	$html .= '<div class="wg-partner-logos">
        <div class="wg-partner-logos__list">';
            if( have_rows('logo_image') ):
                $html .= '<div class="wg-partner-logos__inner owl-carousel owl-theme logos-carousel">';
                    while( have_rows('logo_image') ): the_row();
                    $image = get_sub_field('image');                    
                    $url = get_sub_field('url');
                    $target = get_sub_field('target');
                    $class = get_sub_field('class');
                    $html .= '<div class="wg-partner-logo">
                        <a href="'. $url .'" target="'. $target .'" class="'. $class .'">
                            <img src="'. $image . '" alt="Clutch" class="img-1" />
                        </a>
                    </div>';
                    endwhile;
                $html .= '</div>';
            endif;
        $html .= '</div>
        </div>';
	return $html;
}
add_shortcode('wgtprofilelogos', 'wgt_profile_logos');

/**
 * Add a sidebar single job.
 */
function wgt_about_widgets_init() {
    register_sidebar( array(
        'name'          => __( 'Webguruz About Us', 'textdomain' ),
        'id'            => 'webguruz-about',
        'description'   => __( 'Widgets in single job pages.', 'textdomain' ),
        'before_widget' => '<div id="%1$s" class="about-block pb-5 %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="widgettitle">',
        'after_title'   => '</h3>',
    ) );
	register_sidebar( array(
        'name'          => __( 'Why Webguruz', 'textdomain' ),
        'id'            => 'webguruz-why',
        'description'   => __( 'Widgets in single job pages.', 'textdomain' ),
        'before_widget' => '<div id="%1$s" class="about-block pb-5 %2$s">',
        'after_widget'  => '</div>',
        'before_title'  => '<h3 class="widgettitle">',
        'after_title'   => '</h3>',
    ) );
}
add_action( 'widgets_init', 'wgt_about_widgets_init' );
/******name calid in contact form7*****/
add_filter( 'wpcf7_validate_text', 'alphanumeric_validation_filter', 20, 2 );
add_filter( 'wpcf7_validate_text*', 'alphanumeric_validation_filter', 20, 2 );

function alphanumeric_validation_filter( $result, $tag ) {
$tag = new WPCF7_Shortcode( $tag );

if ( 'your-name' == $tag->name ) {
$your_name_input = isset( $_POST['your-name'] ) ? trim( $_POST['your-name'] ) : '';

if ( !preg_match('/^[a-zA-Z _]+$/',$your_name_input) ) {
$result->invalidate( $tag, "Allowed characters are alphabet only" );
}
}
if ( 'Name' == $tag->name ) {
$your_name_input = isset( $_POST['Name'] ) ? trim( $_POST['Name'] ) : '';

if ( !preg_match('/^[a-zA-Z _]+$/',$your_name_input) ) {
$result->invalidate( $tag, "Allowed characters are alphabet only" );
}
}
if ( 'name' == $tag->name ) {
$your_name_input = isset( $_POST['name'] ) ? trim( $_POST['name'] ) : '';

if ( !preg_match('/^[a-zA-Z _]+$/',$your_name_input) ) {
$result->invalidate( $tag, "Allowed characters are alphabet only" );
}
}
return $result;
}

function custom_filter_wpcf7_is_tel( $result, $tel ) { 
  $result = preg_match( '/^\(?\+?([0-9]{1,4})?\)?[-\. ]?(\d{10})$/', $tel );
  return $result; 
}

add_filter( 'wpcf7_is_tel', 'custom_filter_wpcf7_is_tel', 10, 2 );
/****************/
add_shortcode( 'customgallary', 'custom_gallery_Career' );
function custom_gallery_Career(){
	$html='';
	$html .='
		<div class="career-gallery getTogether-gallery">
			<ul>
				<li class="getTogether-item">
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-1.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-1.jpg" alt="image">
					</a>
				</li>
				<li class="getTogether-item">
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-2.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-2.jpg" alt="image">
					</a>
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-3.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-3.jpg" alt="image">
					</a>
				</li>
				<li class="getTogether-item">
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-4.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-4.jpg" alt="image">
					</a>
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-5.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-5.jpg" alt="image">
					</a>
				</li>								
				<li class="getTogether-item">
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-6.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-6.jpg" alt="image">
					</a>
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-7.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-7.jpg" alt="image">
					</a>
				</li>			
				<li class="getTogether-item">
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-8.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-8.jpg" alt="image">
					</a>
					<a href="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-9.jpg">	
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/career/gallery/get-together-img-9.jpg" alt="image">
					</a>
				</li>				
			</ul>			
		</div>
	';
	
	return $html;
	
}
/***********free request form ****************/
add_action( 'wp_footer', 'my_footer_scripts' );
function my_footer_scripts(){
	if(is_page(7867)){
		$pageurl = esc_url( get_permalink(8369) );
  ?>
  <script> var url ='<?php echo $pageurl; ?>';
  document.addEventListener( 'wpcf7mailsent', function( event ) { location = url; }, false );</script>
  <?php
	}
}

/***** Homepage Banner Slider *******/
add_shortcode( 'homebannerslider', 'home_banner_slider' );
function home_banner_slider($atts){
	$args = shortcode_atts(array('buttonlink' => '#'), $atts);
	$html='';
	$html .='
    <div class="home-banner-wrapper">
        <div class="home-banner">
            <div class="container-fluid">
                <div class="home-banner-inner">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="home-banner-content">
                                <h4>Raise up your site</h4>
                                <h3>to the <strong class="typing"></strong></h3>
                                <div class="ot-button">
                                    <a href="'. $args['buttonlink'] .'" class="octf-btn octf-btn-primary octf-btn-icon octf-btn-lg"><span>Get Started <i class="flaticon-right-arrow-1"></i></span></a>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="home-banner-img">
                                <img src="'. get_stylesheet_directory_uri() .'/assets/images/home-slider/home-banner-img.jpg" alt="" class="img-fluid" />
                                <div class="home-banner-slider-main">
                                    <div class="home-banner-slider-inner owl-carousel owl-theme" id="home-banner-slider">
                                        <div class="item">
                                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/home-slider/home-banner-slide-img-1.jpg" alt="" />
                                        </div>
                                        <div class="item">
                                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/home-slider/home-banner-slide-img-2.jpg" alt="" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="featured-bar">
            <div class="featured-in">
                <h4>Featured in</h4>
                <div class="featured-media">
                    <ul class="list-unstyled">
                        <li>
                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/featured-logo.png" alt="" />
                        </li>
                        <li>
                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/featured-logo.png" alt="" />
                        </li>
                        <li>
                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/featured-logo.png" alt="" />
                        </li>
                        <li>
                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/featured-logo.png" alt="" />
                        </li>
                        <li>
                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/featured-logo.png" alt="" />
                        </li>
                        <li>
                            <img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/featured-logo.png" alt="" />
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
	';
	
	return $html;
	
}
add_shortcode('subscribe_form2','func_subscribe_two');
function func_subscribe_two($atts) {
	$args = shortcode_atts(array('title' => ''), $atts);
	$html = '<div class="subs-formds form2">';
	if(!empty($args['title'])){
	$html .= '<h4>'. $args['title'] .'</h4>';
	}
	$html .= do_shortcode("[hfe_template id='22034']");
    $html .='</div>';
return $html;	
}

include_once(get_stylesheet_directory() . '/inc/list-payment-pack.php');

add_action('wp_head','wc_job_script');
function wc_job_script()
{

		$post_id = get_the_ID();
		if($post_id)
		{
			
			if ( get_post_type( $post_id ) == 'wgt-careerjobs' ) 
			{
				$title = get_the_title();
				$post_content = strip_tags(get_the_content());
			    ?>
				<script type="application/ld+json">
				{
				"@context": "http://schema.org/",
				"@type": "JobPosting",
				"title" : "<?php echo $title; ?>",
				"description" : "<?php echo $post_content;?>",
				"datePosted" : "2021-12-03",
				"validThrough" : "2022-12-31",
				"hiringOrganization": {
				"@type": "Organization",
				"sameAs": "https://webguruz.in/",
				"name": "Webguruz Technologies Pvt Ltd"
				},
				"employmentType": ["FULL_TIME"],
				"jobLocation": {
				"@type": "Place",
				"address": {
				"streetAddress": "4th Floor, SM Heights, C205",
				"addressLocality": "Mohali",
				"addressRegion": "Punjab",
				"postalCode": "160071",
				"addressCountry": "India"
				}
				}
				}
				</script>
				<?php
			}
		}
			
	
}

// Add Body class
add_filter( 'body_class','my_body_classes' );
function my_body_classes( $classes ) 
{
    if(is_page(array( 16873, 16871 )))
    {
        $classes[] = 'container-1440';
        $classes[] = 'remove-page-header';        
    }
    if(is_page(array( 16871 )))
    {
        $classes[] = 'headerBgColor';
    }
    
    return $classes;    
}


// redirect contact form

add_action( 'template_redirect', 'redirect_cf7' );
function redirect_cf7() 
{
$url = home_url().'/request-thanks/'; 
?>
<script type="text/javascript">
document.addEventListener( 'wpcf7mailsent', function( event ) {
	
	if(event.detail.contactFormId == '25080')
       location = '<?php echo $url; ?>';
}, false );
</script>
<?php
}


// redirect contact form

add_action( 'wp_footer', 'redirect_cf72' );
function redirect_cf72() 
{
$url = home_url().'/request-thanks/'; 
?>
<script type="text/javascript">
document.addEventListener( 'wpcf7mailsent', function( event ) {
	
	if(event.detail.contactFormId == '25323')
       location = '<?php echo $url; ?>';
}, false );
</script>
<?php
}

add_action('wp_footer','purchase_plan_modal');
function purchase_plan_modal()
{
?>
    <div class="modal fade package-modal" id="cform" role="dialog">
    <div class="modal-dialog modal-dialog-centered">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title text-center">Fill up the form</h4>                
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
            </div>
            <div class="modal-body">                
                <h6 class="package-modal-subheading">Sign up now and see the magic.</h6>
                <form id="payform" class="package-form-box" action="https://www.sandbox.paypal.com/cgi-bin/webscr" method="post" target="_blank">
				<input type="hidden" name="on0" value="businessname">
				<input type="hidden" name="on1" value="businessurl">
				<input name="os0" maxlength="200" class="businessName" required="" placeholder="Business Name" value="" type="text">
                <input name="os1" maxlength="200" class="businessurl" placeholder="Business Url" value="" type="text">
				<input type="hidden" name="business" value="klal@gmail.com">
				<input type="hidden" name="item_name" class="itemname" value="STARTER"> 
				<input type="hidden" name="item_number" value="<?php echo get_the_ID();?>"> 
				<input type="hidden" name="amount" class="itemprice" value="55"> 
				<input type="hidden" name="no_shipping" value="1"> 
				<input type="hidden" name="currency_code" value="USD"> 
				<input type="hidden" name="notify_url" value="<?php echo site_url(); ?>/notify.php">
				<input type="hidden" name="cancel_return" value="<?php echo site_url(); ?>">
				<input type="hidden" name="return" value="<?php echo site_url(); ?>/thanks-you/">
				<input type="hidden" name="cmd" value="_xclick"> 
				<input class="purchase-btn" name="submit" value="Purchase" type="submit">
			</form>
            </div>       
        </div>
    </div>
</div>
<script>
    jQuery(document).ready(function($){
    
    
      $(".purchase_button_one").click(function(){
          $("#cform").modal();
		  $('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title1').val();
            var pak_price= $('#pak_price1').val();
            var pak_name= $('#pak_name1').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        $(".purchase_button_two").click(function(){
            $("#cform").modal();
			$('.businessName').val('');
		  $('.businessurl').val('');
            var page_title= $('#page_title2').val();
            var pak_price= $('#pak_price2').val();
            var pak_name= $('#pak_name2').val();
    
           $('.itemname').val(pak_name);
           $('.itemprice').val(pak_price);
           $('.actualprice').val(pak_price);
          $('.mfp-close').click(function(){
    		$('#myModal').modal('hide');
    	});
           
           
           
        });
        
    
    
    });

    var acc = document.getElementsByClassName("accordion");
    var i;
    
    for (i = 0; i < acc.length; i++) {
      acc[i].addEventListener("click", function() {
        /* Toggle between adding and removing the "active" class,
        to highlight the button that controls the panel */
        this.classList.toggle("active");
    
        /* Toggle between hiding and showing the active panel */
        var panel = this.nextElementSibling;
        if (panel.style.display === "block") {
          panel.style.display = "none";
        } else {
          panel.style.display = "block";
        }
      });
    }
    

    jQuery(document).ready(function($){
    	$("button.accordion").click(function(){
    	$(this).parent().parent().siblings().children().children(".accordion").siblings(".panel").hide();
    	});
    });
	jQuery(document).ready(function($) {
	$.validator.addMethod( "lettersonly", function( value, element ) {
	return this.optional(element) || value == value.match(/^[a-zA-Z\s]+$/);
}, "Letters only please" );	
    $('#payform').validate({
    rules: {
      businessName: {
        required: true,
		lettersonly: true,
        minlength: 2
      },

      businessurl: {
        required: true,
		url: true
      }
      
    },

    messages: {
      businessName: "Please enter the valid data",
      businessurl: "Enter valid URL",
    },

    errorElement: "div",
    errorPlacement: function(error, element) {
      element.after(error);
    }

    });
    });  
</script>
<?php
}

// Trending Topics..
function trending_topics() {
	$post_args = array(
		'post_type'=>'post',
		'orderby' => 'date',
		'order' => 'DESC',
		'numberposts' => 6,
		'meta_key'   => 'post_views_count',
		'orderby' 	=> 'meta_value_num'
	);
	$posts = get_posts($post_args);

	$html = '';
	$html .= '
		<section class="trending-topics">
			<div class="container">
				<div class="trending-topics__inner">
					<div class="trending-topics__heading-sec">
						<h3 class="heading">Trending Topics</h3>
						<p class="font-weight-400 w-75 m-auto">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s.</p>
					</div>
					<div class="trending-topics__list">
						<div class="trending-topics__list-inner owl-carousel owl-theme" id="trending-topics">';
							foreach($posts as $post){
								$count = get_post_meta( $post->ID, 'post_views_count', true );
								$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
								$title = $post->post_title;
								$contnt = wp_strip_all_tags($post->post_content);
								$guid = get_permalink($post->ID);
								$html .= '						
							<div class="trending-topic">
								<div class="trending-topic__img">
									<a href="'.$guid.'">
										<figure>
											<img src="'.$image[0].'" alt="" />
											<figcaption>
												<div class="trending-topic__content">
													<h5 class="trending-topic__heading"><span>'.substr($title,0,20).'...</span></h5>
													<p>'.substr($contnt,0,50).'...</p>
												</div>
												<div class="trending-topic__info d-flex justify-content-end">
													<div class="topic-info-list views d-flex align-items-center">
														<div class="icon"><i class="fas fa-eye"></i></div>
														<div class="text">'.$count.'</div>
													</div>
												</div>
											</figcaption>
										</figure>
									</a>
								</div>
							</div>';
							}
						$html .= '</div>
				</div>
			</div>
		</div>
	</section>';
	return $html;
}
add_shortcode( 'trending_topics', 'trending_topics' );

// Related Posts ..
function related_posts() {
	$categoryn = "";
	$obj = get_queried_object();
	$category_detail=get_the_category($obj->ID);//$post->ID
	foreach($category_detail as $cd){
		if($cd != 'blog'){
			$categoryn = $cd->id;
		}
		
	}
	$category_query_args = array(
		'cat' => $categoryn,
		'posts_per_page' => '6'

	);
	
	$category_query = new WP_Query( $category_query_args );
	$html = '';
	$html  .= '<section class="trending-topics">
		<div class="container">
			<div class="trending-topics__inner">
				<div class="trending-topics__heading-sec">
					<h3 class="heading">Related Posts</h3>
				</div>
				<div class="trending-topics__list">
					<div class="trending-topics__list-inner owl-carousel owl-theme" id="trending-topics">';
	foreach($category_query->posts as $cpost){
		$count = get_post_meta( $cpost->ID, 'post_views_count', true );
		$image = wp_get_attachment_image_src( get_post_thumbnail_id( $cpost->ID ), 'single-post-thumbnail' );
		$title = $cpost->post_title;
		$contnt = wp_strip_all_tags($cpost->post_content);
		$guid = get_permalink($cpost->ID);
		$html .= '<div class="trending-topic">
					<div class="trending-topic__img">
						<a href="'.$guid.'">
							<figure>
								<img src="'.$image[0].'" alt="" />
								<figcaption>
									<div class="trending-topic__content">
										<h5 class="trending-topic__heading"><span>'.substr($title,0,20).'...</span></h5>
										<p>'.substr($contnt,0,50).'...</p>
									</div>
									<div class="trending-topic__info d-flex justify-content-end">
										<div class="topic-info-list views d-flex align-items-center">
											<div class="icon"><i class="fas fa-eye"></i></div>
											<div class="text">'.$count.'</div>
										</div>
									</div>
								</figcaption>
							</figure>
						</a>
					</div>
				</div>';
	}
	$html .= '</div>
				</div>
			</div>
		</div>
	</section>';
	return $html;
}
add_shortcode( 'related_posts', 'related_posts' );

// Create A Function For Portfolios Slider
function blog_testimonials() {
	$html = '';
	$html  .= '<section class="blog-testimonials">
        <div class="container">
            <div class="blog-testimonials__inner">
                <div class="blog-testimonials__row">
                    <div class="blog-testimonials__col column-1">
                        <div class="content-sec">
                            <h3 class="heading">What our Client <strong>say</strong><br><strong>about us</strong></h3>
                            <p>The opinion of our client’s is very important to us. Our team is constantly making efforts to improve the quality of our services. Join us!</p>
                            <p>The opinion of our client’s is very important to us. Our team is constantly making efforts to improve the quality of our services. Join us!</p>
                            <div class="btn-group">
                                <a href="#" class="octf-btn octf-btn-primary octf-btn-icon"><span>Read Our Success Stories <i class="flaticon-right-arrow-1"></i></span></a>
                            </div>
                        </div>
                    </div>
                    <div class="blog-testimonials__col column-2">
                        <div class="content-sec">
                            <div class="blog-testimonial-card-list">
                                <div class="blog-testimonial-card d-flex align-items-center">
                                    <div class="testimonial-card-img">
                                        <img src="'. get_stylesheet_directory_uri() .'/assets/images/blogs/author-img.png" alt="" />
                                    </div>
                                    <div class="testimonial-card-content d-flex">
                                        <div class="quote-icon"><img src="'. get_stylesheet_directory_uri() .'/assets/images/blogs/quote-icon.png" alt="" /></div>
                                        <div class="testimonial-content">
                                            <p>A business that lacks ethics is short-lived, and one thing that we stand by is the business ethics that we follow ardently. Of course, we are here to make money, but more than that.</p>
                                            <div class="author">- Sonia Smith</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="blog-testimonial-card d-flex align-items-center">
                                    <div class="testimonial-card-img">
                                        <img src="'. get_stylesheet_directory_uri() .'/assets/images/blogs/author-img.png" alt="" />
                                    </div>
                                    <div class="testimonial-card-content d-flex">
                                        <div class="quote-icon"><img src="'. get_stylesheet_directory_uri() .'/assets/images/blogs/quote-icon.png" alt="" /></div>
                                        <div class="testimonial-content">
                                            <p>A business that lacks ethics is short-lived, and one thing that we stand by is the business ethics that we follow ardently. Of course, we are here to make money, but more than that.</p>
                                            <div class="author">- Sonia Smith</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="blog-testimonial-card d-flex align-items-center">
                                    <div class="testimonial-card-img">
                                        <img src="'. get_stylesheet_directory_uri() .'/assets/images/blogs/author-img.png" alt="" />
                                    </div>
                                    <div class="testimonial-card-content d-flex">
                                        <div class="quote-icon"><img src="'. get_stylesheet_directory_uri() .'/assets/images/blogs/quote-icon.png" alt="" /></div>
                                        <div class="testimonial-content">
                                            <p>A business that lacks ethics is short-lived, and one thing that we stand by is the business ethics that we follow ardently. Of course, we are here to make money, but more than that.</p>
                                            <div class="author">- Sonia Smith</div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>';			
	return $html;
}
add_shortcode( 'blog_testimonials', 'blog_testimonials' );

// Request A Quotes...
function request_quotes() {
	$html = '';
	$html  .= '<div class="getQuotes-fold">
		<div class="getQuotes-row">
			<div class="img-part" style="background-image:url('. get_stylesheet_directory_uri().'/assets/images/request-qotes-image.png);">
				<div class="img-text">
					<h2>A man with a strategy can defeat a genius with no strategy.</h2>
					<p>With Webguruz, your Conceived plan will get achieved and succeed</p>
				</div>
			</div>
			<div class="content-part">
				<h3>Request a <span>Free proposal</span></h3>
				<div class="caption d-flex">
					<p><i class="fas fa-check"></i> All our projects are secured by NDA</p>
					<p><i class="fas fa-check"></i> 100% Secure. Zero Spam</p>
				</div>
				<div class="form-wrap">
					'. do_shortcode('[contact-form-7 id="26154" title="Free Quotes 2022"]') .'
				</div>
                <div class="privacy-text">We respect your privacy</div>
			</div>
		</div>
		<div class="getQuotes-foot">
			<div class="text">
				<p>5000+ successful projects delivered by 200+ certified expert</p>
			</div>
			<div class="logos">
				<img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/clutch-logo.png" alt="logo">
				<img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/google-partner-logo.png" alt="logo">
				<img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/HubSpot-Logo.png" alt="logo">
				<img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/shopify-logo.png" alt="logo">
				<img src="'. get_stylesheet_directory_uri() .'/assets/images/featured-logo/goodfirms-logo.png" alt="logo">
			</div>
		</div>
	</div>';
	return $html;
}
add_shortcode( 'request_quotes', 'request_quotes' );

// How We Work ...
function how_we_work() {
	$html = '';
	$html  .= '<div class="how-we-work">
		<ul>
			<li>
				<div class="list-wrap">
					<div class="content-part">
						<h3>Client’s Information</h3>
						<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>
						<div class="ot-button">
							<a href="javascript:void();" class="octf-btn octf-btn-primary octf-btn-icon"><span>Read More <i class="flaticon-right-arrow-1"></i></span></a>
						</div>
					</div>
					<div class="image-part">
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/client-info.png" alt="image">
					</div>
				</div>
			</li>
			<li>
				<div class="list-wrap">
					<div class="content-part">
						<h3>Client’s Information</h3>
						<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>
						<div class="ot-button">
							<a href="javascript:void();" class="octf-btn octf-btn-primary octf-btn-icon"><span>Read More <i class="flaticon-right-arrow-1"></i></span></a>
						</div>
					</div>
					<div class="image-part">
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/client-info.png" alt="image">
					</div>
				</div>
			</li>
			<li>
				<div class="list-wrap">
					<div class="content-part">
						<h3>Client’s Information</h3>
						<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>
						<div class="ot-button">
							<a href="javascript:void();" class="octf-btn octf-btn-primary octf-btn-icon"><span>Read More <i class="flaticon-right-arrow-1"></i></span></a>
						</div>
					</div>
					<div class="image-part">
						<img src="'. get_stylesheet_directory_uri() .'/assets/images/client-info.png" alt="image">
					</div>
				</div>
			</li>
		</ul>
	</div>';
	return $html;
}
add_shortcode( 'how_we_work', 'how_we_work' );

// Get Portfolio, Blog and Testimonials
function thankyoupageshotcode() {
$html = '';
$post_args1 = array(
	'post_type' => 'wgz-portfolios',
	'orderby' => 'date',
	'order' => 'DESC',
	'numberposts' => 1,
	'orderby' => 'rand',
	'fields'  => 'ids'
);
$post_args2 = array(
	'post_type' => 'post',
	'orderby' => 'date',
	'order' => 'DESC',
	'numberposts' => 1,
	'orderby' => 'rand',
	'fields'  => 'ids'
);
$post_args3 = array(
	'post_type' => 'wgz-testimonials',
	'orderby' => 'date',
	'order' => 'DESC',
	'numberposts' => 1,
	'orderby' => 'rand',
	'fields'  => 'ids'
);
$posts1 = get_posts($post_args1);
$posts2 = get_posts($post_args2);
$posts3 = get_posts($post_args3);

$merged_post_ids = array_merge( $posts1, $posts2, $posts3 );

if ( $merged_post_ids ) {

$wp_query = new WP_Query( array(
	'post_type' => 'any', 
	'post__in'  => $merged_post_ids,
) );
$html  .= '<div class="pbt-wrapper">
	<div class="row justify-content-center">';
	foreach($wp_query->posts as $post) { 
		$image = get_the_post_thumbnail_url(  $post->ID,'full'  );
		$title = "";
		$guid="";
		if($post->post_type=='post'){
			$title = 'Blog';
			$guid = get_permalink($post->ID);
		}
		if($post->post_type=='wgz-portfolios'){
			$title = 'Portfolios';
			$guid = get_permalink($post->ID);
		}
		if($post->post_type=='wgz-testimonials'){
			$title = 'Testimonials';
			$guid = get_permalink($post->ID);
		}
		$contnt = wp_strip_all_tags($post->post_content);
		$html  .= '<div class="col-lg-4 col-sm-6 col-12">
			<div class="pbt-card">
				<div class="img-box">';
					if($image){
						$html  .= '<img src="'.$image.'">';
					}else {
						$html  .= '<img src="'. get_stylesheet_directory_uri() .'/images/webguruz-placeholder.jpg">';
					}
					$html  .= '</div>
				<div class="content-box">
					<h3>'.$title.'</h3>
					<p>'.substr($contnt,0,50).'</p>
					<div class="btn-fold">
						<a href="'.$guid.'">Read More</a>
					</div>
				</div>
			</div>
		</div>';
		}}
		$html  .= '</div>';
		$html  .= '</div>';
return $html;
}
add_shortcode( 'thankyoupageshotcode', 'thankyoupageshotcode' );

function testimonials(){
 $post_args4 = array(
		'post_type' => 'wgz-testimonials',
		'orderby' => 'date',
		'order' => 'DESC',
		'posts_per_page' => 3,
		'orderby' => 'rand'
		
	);
	$posts4 = get_posts($post_args1);

	$wp_query = new WP_Query($post_args4);
	echo '<section class="blog-testimonials">
        <div class="container">
            <div class="blog-testimonials__inner">
                <div class="blog-testimonials__row">
                    <div class="blog-testimonials__col column-1">
                        <div class="content-sec">
                            <h3 class="heading">What our Client <strong>say</strong><br><strong>about us</strong></h3>
                            <p>The opinion of our client’s is very important to us. Our team is constantly making efforts to improve the quality of our services. Join us!</p>
                            <p>The opinion of our client’s is very important to us. Our team is constantly making efforts to improve the quality of our services. Join us!</p>
                            <div class="btn-group">
                                <a href="#" class="octf-btn octf-btn-primary octf-btn-icon"><span>Read Our Success Stories <i class="flaticon-right-arrow-1"></i></span></a>
                            </div>
                        </div>
                    </div>
                    <div class="blog-testimonials__col column-2">
                        <div class="content-sec">
                            <div class="blog-testimonial-card-list">';
	foreach($wp_query->posts as $post){ 
		$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
		$contnt = wp_strip_all_tags($post->post_content);
    
                                echo '<div class="blog-testimonial-card d-flex align-items-center">
                                    <div class="testimonial-card-img">
                                        <img src="'.$image[0].'" alt="" />
                                    </div>
                                    <div class="testimonial-card-content d-flex">
                                        <div class="quote-icon"><img src="'. get_stylesheet_directory_uri() .'/assets/images/blogs/quote-icon.png" alt="" /></div>
                                        <div class="testimonial-content">
                                            <p>'.substr($contnt,0,150).'...</p>
                                            <div class="author">"'.$post->post_title.'"</div>
                                        </div>
                                    </div>
                                </div>';
                                

	}
	                            echo '</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>';

}

add_shortcode( 'testimonials', 'testimonials' );