<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ONUM
 */

get_header();
?>
<div class="entry-content">
	<div class="container">
		<!-- Mobile app Categories -->
		<div class="row">
			<div class="col-12">
				<div class="mobile-app-category mb-3 mb-md-5">
				    <h4 class="heading"><span>Most Popular Categories</span></h4>
                    <div class="row mobile-app-list">
						<?php
						$i = 0;
							$cat_args = array(
							'taxonomy'=>'category', 
							'hide_empty'    => true,
							'order' => 'DESC'
							); 
								$categories = get_terms($cat_args);								
									foreach($categories as $cat){
										$categories_name = get_category($cat->term_id);
								
										if($i==8) break;
						 ?>
									 <div class="col-md-4 col-lg-3">
										<div class="mobile-app-card__wrap">
											<a href="<?php echo site_url();?>/blogs?cat=<?php echo $categories_name->slug; ?>">
												<div class="mobile-app-card">
													<div class="mobile-app-icon">
														<figure class="mr-3">
															<?php if(!empty(z_taxonomy_image_url($cat->term_id))){ ?>
															 <img src="<?php echo z_taxonomy_image_url($cat->term_id); ?>" />		
															<?php }else{ ?>	
														   <img src="<?php echo site_url();?>/wp-content/uploads/2022/02/blog-cate-icon.png" alt="mobile-app-icon">
														<?php } ?>
														</figure>
													</div>
														<h6><?php echo $cat->name; ?></h6>
												</div>
											</a>
										</div>
									</div>					
							<?php $i++;
							}	
						?>
                       
                    </div>
				</div>
			</div>
		</div>
		<!-- ********************* -->

		<div class="row">
			<div id="primary xxcxcx" class="content-area col-xl-9 col-lg-8 col-md-7 col-sm-12 col-xs-12">
				<main id="main" class="site-main">
				<?php 	
				if(!empty($_GET['cat'])){
					   $idObj = get_category_by_slug($_GET['cat']); 
						 $cat_id = $idObj->term_id;
                         $args = array(
                            'cat' => $cat_id,
                            'paged' => ( get_query_var('paged') ? get_query_var('paged') : 1),
                        );
				        query_posts( $args );
				}			
				if ( have_posts() ) : ?>
					<div class="<?php onum_blog_option_class(); ?>">
						<?php
						/* Start the Loop */
						while ( have_posts() ) : the_post();

							/*
							 * Include the Post-Type-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_type() );

						endwhile; 
						?>
					</div>					
					
                    <!-- <div class="blog-subscribe subs-formds">
					    <?php //echo do_shortcode("[hfe_template id='22034']");?>
					</div> -->

					<?php 
					
						onum_posts_navigation();

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					?>
				</main><!-- #main -->
			</div><!-- #primary -->
			<?php get_sidebar(); ?>
		</div>

        <div class="blog-subscribe-new" style="margin-top: calc(40px + (100 - 40) * (100vw - 320px) / (1920 - 320));">
			<?php echo do_shortcode("[hfe_template id='22034']");?>
		</div>            

	</div>
    
    <!-- Trending Topics -->
    <?php echo do_shortcode( '[trending_topics]' ); ?>
    
    <!-- Blog Testimonials -->
    <?php echo do_shortcode( '[blog_testimonials]' ); ?>
    
    <!-- Our Locations -->
    <section class="our-locations-sec">
        <div class="container">
            <div class="our-locations__inner">
                <div class="header-sec text-center">
                    <div class="small-heading">Contact Us</div>
                    <div class="sub-header-sec">
                        <h3 class="heading">Let’s Fire up your <strong>Business</strong></h3>
                        <p>Team us with us Today for an unforgettable Service experience</p>
                    </div>
                    <div class="underlines"></div>
                </div>
                <div class="our-locations-outer">
                    <div class="row">
                        <div class="col-lg-3">
                            <div class="location-tabs">
                                <ul class="list-unstyled mb-0">
                                    <li><h4 class="heading">Our Locations</h4></li>
                                    <li class="hover-tabs"><a href="javascript:;" data="ind-loc" class="active"><span class="loc-icon"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/loc-1.png" alt="" /></span><span>India</span></a></li>
                                    <li class="hover-tabs"><a href="javascript:;" data="aus-loc"><span class="loc-icon"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/loc-2.png" alt="" /></span><span>Australia</span></a></li>
                                    <li class="hover-tabs"><a href="javascript:;" data="usa-loc"><span class="loc-icon"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/loc-3.png" alt="" /></span><span>USA</span></a></li>
                                    <li class="hover-tabs"><a href="javascript:;" data="uk-loc"><span class="loc-icon"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/loc-4.png" alt="" /></span><span>UK</span></a></li>
                                </ul>
                            </div>
                        </div>
                        <div class="col-lg-9">
                            <div class="location-details" id="ind-loc">
                                <div class="row">
                                    <div class="col-lg-8">
                                        <figure class="mt-0 text-center"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/india-location.png" alt="" /></figure>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="location">
                                            <div class="location-item">
                                                <h5>India</h5>
                                                <p>4th Floor, SM Heights, C-205,<br>Phase 8 B,<br>Sector 74 Mohali</p>
                                            </div>
                                            <div class="location-item">
                                                <h5>Contact(Sale)</h5>
                                                <div class="contact-list">
                                                    <ul class="list-unstyled mb-0">
                                                        <li><a href="tel:+917087233361"><i class="fas fa-phone-alt"></i> <span>+91-7087233361</span></a></li>
                                                        <li><a href="mailto:provider@webguruz.in"><i class="fas fa-envelope"></i> <span>provider@webguruz.in</span></a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                            <div class="location-item mb-0">
                                                <h5>Contact(Job)</h5>
                                                <div class="contact-list">
                                                    <ul class="list-unstyled mb-0">
                                                        <li><a href="tel:+919592016444"><i class="fas fa-phone-alt"></i> <span>+91-9592016444</span></a></li>
                                                        <li><a href="mailto:careers@webguruz.in"><i class="fas fa-envelope"></i> <span>careers@webguruz.in</span></a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="location-details" id="aus-loc">
                                <div class="row">
                                    <div class="col-lg-8">
                                        <figure class="mt-0 text-center"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/australia.png" alt="" /></figure>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="location">
                                            <div class="location-item">
                                                <h5>Australia</h5>
                                                <p>31 Newmarket Parade, Mickleham, VIC, 3064, Australia</p>
                                            </div>
                                            <div class="location-item">
                                                <h5>Contact(Sale)</h5>
                                                <div class="contact-list">
                                                    <ul class="list-unstyled mb-0">                                                        
                                                        <li><a href="tel:61 488850066"><i class="fas fa-phone-alt"></i> <span>+61 488850066</span></a></li>                                                        
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="location-details" id="usa-loc">
                                <div class="row">
                                    <div class="col-lg-8">
                                        <figure class="mt-0 text-center"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/usa.png" alt="" /></figure>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="location">
                                            <div class="location-item">
                                                <h5>USA</h5>
                                                <p>5700 Dowdell Avenue, Unit 362, Rohnert Park California 94928</p>
                                            </div>
                                            <div class="location-item">
                                                <h5>Contact(Sale)</h5>
                                                <div class="contact-list">
                                                    <ul class="list-unstyled mb-0">
                                                        <li><a href="tel:+18555000718"><i class="fas fa-phone-alt"></i> <span>+1 855 500 0718</span></a></li>
                                                        <li><a href="mailto:info@clickstree.com"><i class="fas fa-envelope"></i> <span>info@clickstree.com</span></a></li>
                                                    </ul>
                                                </div>
                                            </div>                                            
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="location-details" id="uk-loc">
                                <div class="row">
                                    <div class="col-lg-8">
                                        <figure class="mt-0 text-center"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/uk.png" alt="" /></figure>
                                    </div>
                                    <div class="col-lg-4">
                                        <div class="location">
                                            <div class="location-item">
                                                <h5>India</h5>
                                                <p>4th Floor, SM Heights, C-205,<br>Phase 8 B,<br>Sector 74 Mohali</p>
                                            </div>
                                            <div class="location-item">
                                                <h5>Contact(Sale)</h5>
                                                <div class="contact-list">
                                                    <ul class="list-unstyled mb-0">
                                                        <li><a href="tel:+917087233361"><i class="fas fa-phone-alt"></i> <span>+91-7087233361</span></a></li>
                                                        <li><a href="mailto:provider@webguruz.in"><i class="fas fa-envelope"></i> <span>provider@webguruz.in</span></a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                            <div class="location-item mb-0">
                                                <h5>Contact(Job)</h5>
                                                <div class="contact-list">
                                                    <ul class="list-unstyled mb-0">
                                                        <li><a href="tel:+919592016444"><i class="fas fa-phone-alt"></i> <span>+91-9592016444</span></a></li>
                                                        <li><a href="mailto:careers@webguruz.in"><i class="fas fa-envelope"></i> <span>careers@webguruz.in</span></a></li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

<!-- Blog Request A Quote  -->
<!--
<div class="custom-popup-overlay" id="blog-get-a-quote">
    <div class="pop-main animate form-white-bg">
        <a href="javascript:;" class="custom-cross-icon"></a>
        <div class="popup-content">
            <div class="custom-popup-heading text-center mb-5 border-bottom">
                <h3 class="heading mb-2">Got a Project in Mind? <strong>Get Started Now</strong></h3>
                <p class="mb-3">Provide Us Opportunity To Serve you And Deliver The Best For You</p>
            </div>            
            <?php
                echo do_shortcode('[contact-form-7 id="7908" title="Free Quotes"]');
            ?>
        </div>
    </div>
</div>
-->

<?php
get_footer();
                                             
                                             
