<?php
    /*
    Template Name: Portfolio v2 details
    */   
    get_header();
?>

<main class="portfolio-v2-detail">
	
<!-- Banner Section -->
<?php

if(get_field('banner'))
{
	$banner_url = get_field('banner');
}
else
{
	$banner_url = get_stylesheet_directory_uri().'/assets/images/portfolio/portfolio-detail-banner.jpg';
}
?>
<section class="banner-section" style="background-image: url(<?php echo $banner_url; ?>);">
	<div class="container">
		<div class="banner-content">
			<div class="section-heading">
				<h1><?php echo get_the_title(); ?></h1>
			</div>
		</div>
	</div>
</section>
<!-- End Banner Section -->

<!-- Basic Details -->
<section class="section-padding-80 portfolio-v2-basic">
	<div class="container">
		<div class="row">
			<div class="col-lg-7">
				<div class="portfolio-logo">
					<?php
					if(get_field('website_logo'))
					{
					?>
					<a href="<?php if(get_field('website_url')){ echo get_field('website_url'); }else{ echo 'javascript:void(0);';}?>" target="_blank">
						<img src="<?php echo get_field('website_logo'); ?>" alt="website logo" class="zoom-img">
					</a>
					<?php
					}
					?>
				</div>
				<div class="portfolio-link">
					<?php
					if(get_field('website_url'))
					{
					?>
					<a href="<?php echo get_field('website_url'); ?>" target="_blank"><?php echo preg_replace( "#^[^:/.]*[:/]+#i", "",get_field('website_url') ); ?></a>
					<?php
					}
					?>
				</div>
				<div class="portfolio-color">
					<h4>Colors</h4>
					<ul class="portfolio-color__boxes">
						<?php
						if(get_field('color_one'))
						{
						?>
						<li>
							<div class="portfolio-color__box ">
								<div class="color-icon " style="background:<?php echo get_field('color_one'); ?>"></div>
								<span class="color-code"><?php echo get_field('color_one'); ?></span>
							</div>
						</li>
						<?php
						}
						?>

						<?php
						if(get_field('color_two'))
						{
						?>
						<li>
							<div class="portfolio-color__box ">
								<div class="color-icon" style="background:<?php echo get_field('color_two'); ?>"></div>
								<span class="color-code"><?php echo get_field('color_two'); ?></span>
							</div>
						</li>
						<?php
						}
						?>

						<?php
						if(get_field('color_three'))
						{
						?>
						<li>
							<div class="portfolio-color__box ">
								<div class="color-icon" style="background:<?php echo get_field('color_three'); ?>"></div>
								<span class="color-code"><?php echo get_field('color_three'); ?></span>
							</div>
						</li>
						<?php
						}
						?>
					</ul>
				</div>
			</div>
            <div class="col-lg-5">
                <div class="feature-img">
                    <?php
                    if(get_field('site_pic'))
                    {
                    ?>
                    <img src="<?php echo get_field('site_pic'); ?>" alt="website image">
                    <?php
                    }
                    ?>
                </div>
            </div>
		</div>
	</div>	
</section>
<!-- End Basic Details -->

<!-- Advanced Details -->
<!--
<section class="portfolio-v2-advanced">
	<div class="container">
		<div class="row">
			<div class="col-md-3 col-sm-6">
				<ul class="client-detail">
					
					
					<li>
						<h6 class="text-white">Client :</h6>
						<?php
						if(get_field('client_name'))
						{
						?>
						<span><?php echo get_field('client_name'); ?></span>
						<?php
						}
						?>
					</li>
					

					<li>
						<h6 class="text-white">Industry :</h6>
						<?php
						if(get_field('industry'))
						{
						?>
						<span><?php echo get_field('industry'); ?></span>
						<?php
						}
						?>
					</li>

				</ul>
			</div>
			<div class="col-md-4 col-sm-6">
				<div class="company-feature">
					<h6 class="text-white">Feature :</h6>
					<p class="text-white">
						<?php echo wp_trim_words(get_field('feature'),30,'...'); ?>
					</p>
				</div>
			</div>
			<div class="col-md-5 col-sm-12">
				<div class="company-technology pl-md-5 ml-md-5 mt-md-0 mt-5">
					<h6 class="text-white">Technology Stack:</h6>
					<ul>
						<?php
						if(get_field('technology_one'))
						{
						?>
						<li><img src="<?php echo get_field('technology_one'); ?>" alt="cms-logo-one"></li>
						<?php
						}
						?>

						<?php
						if(get_field('technology_two'))
						{
						?>
						<li><img src="<?php echo get_field('technology_two'); ?>" alt="cms-logo-two"></li>
						<?php
						}
						?>

						<?php
						if(get_field('technology_three'))
						{
						?>
						<li><img src="<?php echo get_field('technology_three'); ?>" alt="cms-logo-three"></li>
						<?php
						}
						?>

						<?php
						if(get_field('technology_four'))
						{
						?>
						<li><img src="<?php echo get_field('technology_four'); ?>" alt="cms-logo-four"></li>
						<?php
						}
						?>

					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
-->
<!-- End Advanced Details -->
    
<!-- Project Details -->
<section class="project-details">
    <div class="row">
        <div class="col-lg-5">
            <div class="industry-outer">
                <div class="industry sec-padding content-sec">
                    <div class="detail-item">
                        <h4 class="item-heading">Industry:</h4>
                        <div class="item-desc">Children's Boutique</div>
                    </div>
                    <div class="detail-item">
                        <h4 class="item-heading">Technology Stack:</h4>
                        <div class="item-desc"><img src="<?php echo get_stylesheet_directory_uri() ?>/assets/images/blogs/shopify_logo.png" alt="" /></div>
                    </div>
                </div>
            </div>            
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="introduction sec-padding content-sec">
                <div class="detail-item">
                    <h4 class="item-heading">Introduction:</h4>
                    <div class="item-desc">
                        <p>A US-Based website that operates on family-owned, carefully curated children's clothing boutique</p>
                    </div>
                </div>
                <div class="detail-item">
                    <h4 class="item-heading">Data Base</h4>
                    <div class="item-desc">A US-Based website that operates on family-owned, carefully curated children's clothing boutique</div>
                </div>
            </div>
        </div>
        <div class="col-lg-3 col-md-6">
            <div class="feature sec-padding content-sec">
                <div class="detail-item">
                    <h4 class="item-heading">Feature:</h4>
                    <div class="item-desc">
                        <ul class="mb-0 list-unstyled">
                            <li><span>Clothing Boutique</span></li>
                            <li><span>Toys and Books</span></li>
                            <li><span>Nursery and Decor</span></li>
                            <li><span>Girls Decor</span></li>
                            <li><span>Baby Sleepwear items</span></li>
                            <li><span>Boy Decor</span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- About Company -->
<section class="portfolio-v2-aboutInfo">
	<div class="container">
		<div class="row">
			<div class="col-lg-6">
				<div class="content-fold">
					<h3>About <?php echo get_the_title(); ?></h3>
					<div class="content-desc">
						<?php echo get_the_content(); ?>
					<!-- 	<?php
						if(get_field('description_one'))
						{
						?>
						<p><?php echo get_field('description_one'); ?></p>
						<?php } ?>

						<?php
						if(get_field('description_two'))
						{
						?>
						<p><?php echo get_field('description_two'); ?></p>
						<?php } ?>

						<?php
						if(get_field('description_three'))
						{
						?>
						<p><?php echo get_field('description_three'); ?></p>
						<?php } ?> -->
					</div>
				</div>
			</div>
			<div class="col-lg-6">
				<div class="image-fold">
					<a href="<?php if(get_field('website_url')){ echo get_field('website_url'); }else{ echo 'javascript:void(0);';}?>" target="_blank"><img src="<?php echo get_the_post_thumbnail_url(); ?>" alt=""></a>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- End About Company -->

<!-- Challenge -->
<section class="portfolio-v2-challenge section-padding-80">
	<div class="container">
		<div class="row">
			<div class="col-sm-12">
				<div class="content-box">
					<?php
					if(get_field('challenge_text'))
					{
					?>
					<h3>Challanges <br>that <span>we facing with this project</span></h3>					
					<p class="text-white"><?php echo get_field('challenge_text'); ?></p>
					<?php
					}
					?>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- End Challenge -->

<!-- Blog Testimonials -->
<?php echo do_shortcode( '[blog_testimonials]' ); ?>
    
<?php echo do_shortcode("[hfe_template id='24766']"); ?>

</main>

<?php get_footer(); ?>