<?php
/**
 * Template part for displaying single post content
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ONUM
 */
    $format = get_post_format();
    $link_video  = get_post_meta(get_the_ID(),'post_video', true);
    $link_audio  = get_post_meta(get_the_ID(),'post_audio', true);
    $link_link   = get_post_meta(get_the_ID(),'post_link', true);
    $text_link   = get_post_meta(get_the_ID(),'text_link', true);
    $quote_text  = get_post_meta(get_the_ID(),'post_quote', true);
    $quote_name  = get_post_meta(get_the_ID(),'quote_name', true);
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-box blog-post'); ?>>    
    <div class="social-sharing-icons-wrap">
        <div class="social-sharing-icons">
            <h6>Share</h6>
            <div class="social-sharing-icons__list">
                <?php //$link = the_permalink(get_the_ID()); ?>
                <a href="http://www.facebook.com/sharer.php?u=<?php echo the_permalink(get_the_ID()); ?>" target="_blank"><i class="fab fa-facebook-f"></i></a>
                <a href="http://twitter.com/share?text=<?php echo get_the_title(get_the_ID()); ?> &url=<?php echo the_permalink(get_the_ID()); ?>" target="_blank"><i class="fab fa-twitter"></i></a>
                <a href="http://www.linkedin.com/shareArticle?mini=true&url=<?php echo the_permalink(get_the_ID()); ?>" target="_blank"><i class="fab fa-linkedin-in"></i></a>
                <a href="http://pinterest.com/pin/create/button/?url=<?php echo the_permalink(get_the_ID()); ?>" target="_blank"><i class="fab fa-pinterest-p"></i></a>                
                <a href="mailto:?subject=<?php echo get_the_title(get_the_ID()); ?>&body=<?php echo get_the_title(get_the_ID()); ?> - <?php echo the_permalink(get_the_ID()); ?>" title="<?php echo get_the_title(get_the_ID()); ?>" target="_blank"><i class="fas fa-envelope"></i></a>
            </div>
        </div>
    </div>
    <div class="single-post-inner">		
        <?php if( $format == 'gallery' ) { ?>
            <div class="entry-media">
                <div class="gallery-post" <?php if ( is_rtl() ) { echo'dir="rtl"'; } ?>>
                <?php if( function_exists( 'rwmb_meta' ) ) { ?>
                    <?php $images = rwmb_meta( 'post_gallery', array( 'size' => 'onum-blog-list-post-thumbnail' ) ); ?>
                    <?php if($images){ ?>              
                        <?php foreach ( $images as $image ) {  ?>      
                            <div>
                                <div class="item-image">
                                    <img src="<?php echo esc_url( $image['url'] ); ?>" alt="<?php echo esc_attr( $image['alt'] ); ?>" width="<?php echo esc_attr( $image['width'] ); ?>" height="<?php echo esc_attr( $image['height'] ); ?>">
                                </div>
                            </div>                    
                        <?php } ?>                
                    <?php } ?>
                <?php } ?>
                </div>
            </div>          

        <?php }elseif( $format == 'image' ) { ?>

            <div class="entry-media">
                <?php if( function_exists( 'rwmb_meta' ) ) { ?>
                    <?php $images = rwmb_meta( 'post_image', array( 'size' => 'onum-blog-list-post-thumbnail' ) ); ?>
                    <?php if($images){ ?>              
                        <?php foreach ( $images as $image ) {  ?> 
                            <img src="<?php echo esc_url( $image['url'] ); ?>" alt="<?php echo esc_attr( $image['alt'] ); ?>" width="<?php echo esc_attr( $image['width'] ); ?>" height="<?php echo esc_attr( $image['height'] ); ?>">
                        <?php } ?>                
                    <?php } ?>
                <?php } ?>
            </div>
            
        <?php }elseif( $format == 'audio' ){ ?>

            <div class="audio-box">
                <iframe scrolling="no" frameborder="no" src="<?php echo esc_url( $link_audio ); ?>"></iframe>
            </div>

        <?php }elseif( $format == 'video' ){ ?>

            <div class="entry-media">
                <?php if( function_exists( 'rwmb_meta' ) ) { ?>
                    <?php $images = rwmb_meta( 'bg_video', array( 'size' => 'full' ) ); ?>
                    <?php if($images){ ?>             
                        <a class="btn-play" href="<?php echo esc_url( $link_video ); ?>">
                            <i class="fas fa-play"></i>
                        </a> 
                        <?php  foreach ( $images as $image ) {  ?>
                            <img src="<?php echo esc_url( $image['url'] ); ?>" alt="<?php echo esc_attr( $image['alt'] ); ?>" width="<?php echo esc_attr( $image['width'] ); ?>" height="<?php echo esc_attr( $image['height'] ); ?>">
                        <?php } ?>                
                    <?php } ?>
                <?php } ?>
            </div>

        <?php }elseif( $format == 'link' ){ ?>

            <div class="link-box">
                <i class="flaticon-link"></i>
                <a href="<?php echo esc_url( $link_link ); ?>"><?php echo esc_html( $text_link ); ?></a>
            </div>

        <?php }elseif( $format == 'quote' ){ ?>

            <div class="quote-box font-second">
                <i class="flaticon-quotation"></i>
                <div class="quote-text">
                    <?php echo esc_html( $quote_text ); ?>
                    <span><?php echo esc_html( $quote_name ); ?></span>
                </div>
            </div>

        <?php }elseif ( has_post_thumbnail() ) { ?>

            <div class="entry-media">
                <?php the_post_thumbnail( 'full' ); ?>
            </div>
            
        <?php } ?>
    </div>
    <?php
            $author_id = get_post_field ('post_author', get_the_ID());
            $author_name = get_the_author_meta( 'display_name', $author_id );
            $author_facebook = get_the_author_meta( 'facebook', $author_id );
            $author_url = get_the_author_meta( 'url', $author_id );
            $author_instagram = get_the_author_meta( 'instagram', $author_id );
            $author_name = get_the_author_meta( 'display_name', $author_id );
            
            $author_forte = get_the_author_meta( 'forte', $author_id );
            $author_wannabe = get_the_author_meta( 'wannabe', $author_id );
            $author_blunder = get_the_author_meta( 'biggest_blunder_committed', $author_id );
            
            $args = array(
                'author'        =>  $author_id,
                'post_type'     => 'post',
                'posts_per_page' => -1
            );
            $current_user_posts = get_posts( $args );
            $likes = '';
            foreach($current_user_posts as $current_user){
                $likesmeta = get_post_field ('_post_like_count', $current_user->ID);
                $likes += $likesmeta;
            }

            $contnt = get_the_content(get_the_ID());
            $count = get_post_meta( get_the_ID(), 'post_views_count', true );
        ?>
    <!-- Post Options -->
    <div class="post-options">
        <div class="opt-left">
            <div class="post-author">
                <img src=<?php echo esc_url( get_avatar_url( $author_id ) ); ?> alt="author image">
                <p>By <?php echo $author_name; ?></p>
            </div>
            <div class="post-view"><i class="fas fa-eye"></i> <?php echo $count; ?></div>
        </div>
        <div class="opt-right">
            <div class="post-date"><i class="fas fa-calendar-alt"></i> <?php  echo get_the_time('Y-m-d', get_the_ID()); ?> </div>
        </div>
    </div>

    <!-- Post Title -->
    <div class="post-title">
        <h2><?php the_title(); ?></h2>
    </div>

    <!-- Post Content -->
    <div class="post-content">
        <?php the_content(); ?>
    </div>

    <!-- Post Inner Details -->
    <div class="post-innner-details">
        <?php if( have_rows('post_inner_details') ): ?>
            <?php while( have_rows('post_inner_details') ): the_row(); ?>    
                <div class="content-item">
                    <h3><?php the_sub_field('heading'); ?></h3>
                    <div class="des">
                        <?php the_sub_field('description'); ?>
                    </div>
                    <?php
                        $image = get_sub_field('image');
                        if( !empty($image) ): ?>
                    <div class="img-box">
                        <img src="<?php echo $image[url]; ?>" alt="<?php echo $image['alt']; ?>" />
                    </div>
                    <?php endif; ?>
                </div>
            <?php endwhile; ?>
        <?php endif; ?>
    </div>
    
        

    <!-- Author Details -->
    <div class="author-wrap">
        <div class="author-image">
            <img src="<?php echo esc_url( get_avatar_url( $author_id ) ); ?>" alt="author image">
        </div>
        <div class="author-detail">
           <div class="author-top">
               <div class="written-by">WRITTEN BY:</div>
                <div class="name">
                    <h3><?php echo $author_name ?> </h3> <span class="dot"></span> <span class="post-count"><?php echo count($current_user_posts); ?> Articles</span>
                </div>            
           </div>   
           <div class="author-addrs">
               <ul>
                   <li><a href=" <?php echo $author_url; ?> "><i class="fas fa-globe-asia"></i></a></li>
               </ul>
           </div>
           <div class="author-des">
               <p><?php echo substr($contnt,0,200); ?>...</p>
               <a href="/blogs/?author=<?php echo $author_id; ?>"><u>View All articles by <?php echo $author_name ?> </u></a>
           </div>
           <div class="author-advcd-del">
                <ul>
                    <li>
                       <div class="title"><i class="fas fa-user-plus"></i> Forte:</div>
                       <p> <?php echo $author_forte; ?> </p>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-thumbs-up"></i> Likes:</div>
                       <p><?php echo $likes; ?></p>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-user"></i> Wannabe:</div>
                       <p> <?php echo $author_wannabe ?> </p>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-share-alt"></i> Social:</div>
                       <div class="social">
                           <a href="<?php echo $author_facebook; ?>" target="_blank"><i class="fab fa-facebook-f"></i></a>
                           <a href="<?php echo $author_instagram; ?>" target="_blank"><i class="fab fa-instagram"></i></a>
                           <a href="#"><i class="fab fa-twitter"></i></a>
                       </div>
                    </li>
                    <li>
                       <div class="title"><i class="fas fa-exclamation-triangle"></i> Biggest Blunder Committed:</div>
                       <p> <?php echo $author_blunder; ?> </p>
                    </li>
                </ul>
           </div>            
        </div>
    </div>

    <div class="inner-post no-padding-top" style="display:none;">
        <div class="entry-summary">

            <?php

                the_content(sprintf(
                    wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                        __('Continue reading<span class="screen-reader-text"> "%s"</span>', 'onum'),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    get_the_title()
                ));

                wp_link_pages(array(
                    'before' => '<div class="page-links">' . esc_html__('Pages:', 'onum'),
                    'after' => '</div>',
                ));
            ?>

        </div>
        <div class="entry-footer clearfix">
            <?php onum_entry_footer(); ?>
        </div>
        <?php if( onum_get_option('author_box') ) onum_author_info_box(); ?>
        <?php if( onum_get_option('post_nav') ) onum_single_post_nav(); ?>
        <?php if( onum_get_option('related_post') ) onum_related_posts(); ?>
    </div>
</article>