<?php
    /*
    Template Name: Portfolio v2 details
    */   
    get_header();
?>

<main class="portfolio-v2-detail">
	
<!-- Banner Section -->
<section class="banner-section" style="background-image: url('<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-detail-banner.jpg');">
	<div class="container">
		<div class="banner-content">
			<div class="section-heading">
				<h1>Robert James Reality</h1>
			</div>
		</div>
	</div>
</section>
<!-- End Banner Section -->

<!-- Basic Details -->
<section class="section-padding-80 portfolio-v2-basic">
	<div class="container">
		<div class="row">
			<div class="col-lg-9">
				<div class="portfolio-logo">
					<a href="javascript:void(0);">
						<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-detail-logo.png" alt="logo" class="zoom-img">
					</a>
				</div>
				<div class="portfolio-link">
					<a href="javascript:void(0);">www.robertjamesrealty.com.au</a>
				</div>
				<div class="portfolio-color">
					<h4>Colors</h4>
					<ul class="portfolio-color__boxes">
						<li>
							<div class="portfolio-color__box ">
								<div class="color-icon "></div>
								<span class="color-code">#15e4fc</span>
							</div>
						</li>
						<li>
							<div class="portfolio-color__box ">
								<div class="color-icon black"></div>
								<span class="color-code">#131418</span>
							</div>
						</li>
						<li>
							<div class="portfolio-color__box ">
								<div class="color-icon white"></div>
								<span class="color-code">#ffffff</span>
							</div>
						</li>
					</ul>
				</div>
			</div>
		</div>
	</div>
	<div class="website-image">
		<img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-detail-feature-img.png" alt="website image">
	</div>
</section>
<!-- End Basic Details -->

<!-- Advanced Details -->
<section class="portfolio-v2-advanced">
	<div class="container">
		<div class="row">
			<div class="col-md-3 col-sm-6">
				<ul class="client-detail">
					<li>
						<h6 class="text-white">Client :</h6>
						<span>John Doe</span>
					</li>
					<li>
						<h6 class="text-white">Industry :</h6>
						<span>Real Estate</span>
					</li>
				</ul>
			</div>
			<div class="col-md-4 col-sm-6">
				<div class="company-feature">
					<h6 class="text-white">Feature :</h6>
					<p class="text-white">
						As Queensland’s leading property website, Robert James Realty is with you every step of the way along your 
						property journey – whether you’re selling, buying, or 
						renting, commercial property, or new development. 
					</p>
				</div>
			</div>
			<div class="col-md-5 col-sm-12">
				<div class="company-technology pl-md-5 ml-md-5 mt-md-0 mt-5">
					<h6 class="text-white">Technology Stack:</h6>
					<ul>
						<li><img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/cms-logo.png" alt="cms-logo"></li>
						<li><img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/wordpress-logo.png" alt="wordpress-logo"></li>
						<li><img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/java-logo.png" alt="java-logo"></li>
					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- End Advanced Details -->

<!-- About Company -->
<section class="portfolio-v2-aboutInfo">
	<div class="container">
		<div class="row">
			<div class="col-lg-6">
				<div class="content-fold">
					<h3>About RJR</h3>
					<p>RJR as been a real estate leader with offices and Agents servicing the Sunshine Coast in Queensland for many years. Born from a national franchise based in Noosa and Tewantin Robert James Realty was launched to break the restraints of a National group and their commitments to outdated marketing and print media.</p>
					<div class="quotes">
						<p>As Queensland’s leading property website, Robert James Realty is with you every step of the way along your property journey – whether you’re selling, buying, or renting, commercial property, or new development. Robert James Realty has grown to become one of the most well-known and trusted brands in the entire state.</p>
					</div>
					<p>Robert James Realty offices are filled with capable and hardworking real estate agents who would love nothing more than to dazzle you with their local knowledge and expertise.</p>
				</div>
			</div>
			<div class="col-lg-6">
				<div class="image-fold">
					<a href="#"><img src="<?php echo get_stylesheet_directory_uri(); ?>/assets/images/portfolio/portfolio-detail-website-thumbnail.jpg" alt=""></a>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- End About Company -->

<!-- Challenge -->
<section class="portfolio-v2-challenge section-padding-80">
	<div class="container">
		<div class="row">
			<div class="col-sm-12">
				<div class="content-box">
					<h3>Challanges <br>that <span>we facing with this project</span></h3>
					<p class="text-white">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.</p>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- End Challenge -->

<?php echo do_shortcode("[hfe_template id='24588']"); ?>
<section class="portfolio-v2-Getquotes section-padding-80">
	<h3 class="title text-center">Get A Quote</h3>	
	<?php echo do_shortcode("[contact-form-7 id='7908' title='Free Quotes']"); ?>    
</section>
<?php echo do_shortcode("[hfe_template id='24766']"); ?>

</main>

<?php get_footer(); ?>